<%@ page import="com.sas.oprisk.server.InsurancePolicy" %>
<%@ page import="com.sas.oprisk.framework.server.util.*" %>
<%@ page import="com.sas.oprisk.server.InsurancePolicyContainer" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.insurancePolicies.*" %>
<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />

<%
	java.util.ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
	InsurancePolicyContainer ipc = (InsurancePolicyContainer)request.getAttribute("policiesIPC");
%>

<mon:include js="/script/checkboxRadioUtil.js" />

<script type="text/javascript">

function set_insurancePolicy(policyHandle, policyName){
	var url = "/InsurancePolicyLink.do?method=link"
		+ "&tpHandle=<%= ipc == null ? null : ipc.getTaggedPointerHandle() %>"
		+ "&policyHandle=" + policyHandle;
	doPolicy(url, true);
}

<%-- Link Insurance Policy --%>
function linkPolicy() {
    popupAnchor = "#relatedPolicies";
	openModal("<%= request.getContextPath() %>/InsurancePolicyChooser.do?"
        + "location=<c:out value="${location}" />"
        + "&policyProperty=insurancePolicy"
        + "&showDoneButton=true",
		"subs_popup", "width=750,height=500,scrollbars,resizable");
}

function unlinkPolicy(policyMappingHandle) {
	var url = "/InsurancePolicyLink.do?method=unlink"
		+ "&tpHandle=<%= ipc == null ? null : ipc.getTaggedPointerHandle() %>"
		+ "&pmHandle=" + policyMappingHandle;
	doPolicy(url, true);
}

<%-- View Policy --%>
function viewPolicy(policyHandle) {
   doPolicy("/InsurancePolicyEdit.do?method=&handle=" + policyHandle);
}

<%-- perform some policy action --%>
function doPolicy(path, anchor) {
<%
	String jsMethod = (String)request.getAttribute("policiesForwardMethod");
	if (jsMethod != null) {
%>
	<%= jsMethod %>(path, anchor ? "relatedPolicies" : "");
<%	} else { %>
	var url = "<%= request.getContextPath() %>" + path;
	if (anchor) {
		url += "#relatedPolicies";
	}
	window.location = url;
<%	} %>
}

</script>

<c:if test="${policiesOutputForm}">
<form name="<c:out value="${policiesFormName}" />">
</c:if>

<a name="relatedPolicies"></a>

<mon:table width="100%" name="relatedPolicies" class="displayTable" id="policy" cellspacing="0">
	<mon:title><fmt:message key="insurancePolicy.chooser.relatedPolicies.txt" /></mon:title>
	<c:if test="${!policiesReadOnly}">
		<mon:action href="javascript:linkPolicy()">
			<fmt:message key='application.link.txt'/>
		</mon:action>
	</c:if>
<%
	InsurancePoliciesTableTag.RelatedPolicy relPolicy = (InsurancePoliciesTableTag.RelatedPolicy)policy;
%>
	<display:column title='<%= bundle.getString("insurancePolicy.field.policyNo.displayName.txt") %>'><c:out value="${policy.policyNo}"/></display:column>
	<display:column title='<%= bundle.getString("insurancePolicy.field.policyShortDesc.displayName.txt") %>'>
		<a href="javascript:viewPolicy('<%= relPolicy.getHandleString() %>')"><c:out value="${policy.policyShortDesc}" /></a>
	</display:column>
	<display:column title='<%= bundle.getString("insurancePolicy.field.policyDesc.displayName.txt") %>'><c:out value="${policy.policyDesc}"/></display:column>
	<display:column title='<%= bundle.getString("insurancePolicy.field.insuranceCompany.displayName.txt") %>'><c:out value="${policy.insuranceCompany}"/></display:column>
	<display:column title='<%= bundle.getString("TC.tableComponent.isActive.txt") %>' >
<%      if(relPolicy.getIsActive()) { %>
           <fmt:message key='application.yes.txt'/>
<%      } else { %>     
           <fmt:message key='application.no.txt'/>
<%      } %>
	</display:column>
<c:if test="${!policiesReadOnly}">
	<display:column width='1%' headerClass="nwc" title='<%= bundle.getString("application.remove.txt") %>' align='center'>
		<a href="javascript:unlinkPolicy('<c:out value="${policy.mappingHandle}" />')">
			<img border="0" src="<fmt:message key='application.remove.image' />"  
				alt="<fmt:message key='application.remove.txt'/>" 
				title="<fmt:message key='application.remove.txt'/>"
			/>
		</a>
	</display:column>
</c:if>
</mon:table>

<c:if test="${insurancePoliciesHasInvisible}">   
   <span class="infoMessage"><img align="absmiddle" src="<%= request.getContextPath() %>/<fmt:message key='application.informSmall.image'/>">
   <fmt:message key="iap.issue.hasInvisibleItems.txt">
      <fmt:param><fmt:message key='RiskTypeWizard.step.insurancePolicies.txt'/></fmt:param>
   </fmt:message>
   </span>
</c:if>     
<c:if test="${policiesOutputForm}">
</form>
</c:if>
