<%@ include file="/tiles/taglibs.jsp" %>
<%
   String searchableStr = request.getParameter("leafOnly");
   final String dimensionNodeClassName = request.getParameter("dimensionNodeClassName");
   final boolean showRoot = !"false".equals(request.getParameter("showRoot"));
   final boolean showInactive = "true".equals(request.getParameter("showInactive"));
   final String secureObjectClass = request.getParameter("secureObjectClass");
   final String secureAction = request.getParameter("secureAction");
   final String parentArea = request.getParameter("parentArea");
   final boolean constrain = "true".equals(request.getParameter("constrain"));
   final String previouslySelectedNodes = request.getParameter("previouslySelectedNodes");
   final boolean leafOnly = "true".equals(request.getParameter("leafOnly"));
   final String property = request.getParameter("property");
   final String form = request.getParameter("form");
   final String onselect = request.getParameter("onselect");
   final String feature = request.getParameter("feature");
   final boolean searchable = (searchableStr == null) || "true".equals(searchableStr);
%>
<mon:setBundle />
<script type="text/javascript">
DimNodeChooserDialog.initialize({
   property: "<%= StringUtil.escapeJSForHTML(property) %>",
   form: "<%= StringUtil.escapeJSForHTML(form) %>",
   onselect: "<%= StringUtil.escapeJSForHTML(onselect) %>",
   form: "<%= StringUtil.escapeJSForHTML(form) %>"   
   });
</script>

<style type="text/css">
.treeChooser {border: 2px inset !important;}
</style>
<!-- tree container -->
<mon:SearchTreeChooser
      readOnly="false"
      searchable="<%=searchable%>"
      dimensionNodeClassName='<%= dimensionNodeClassName %>'
      selectMethod="DimNodeChooserDialog_handleDimensionNodeSelected"
      selectedNodeKey="selectedValue"
      showDescendantsOfConstrainedObjects="false"
      showInactive="<%= showInactive %>"
      showRoot="<%= showRoot %>"
      secureObjectClass="<%= secureObjectClass %>"
      secureAction="<%= secureAction %>"
      parentArea="<%= parentArea %>"
      constrainByMappings="<%= constrain %>"
      previouslySelectedNodes="<%= previouslySelectedNodes %>"
      cssStyle="width:100%;height:200px;border:0px"
      leafOnly="<%= leafOnly %>"
      feature="<%= feature %>"
/>

<div id="dialogbuttons" style="margin-top: 1em;">
   
   <%--  Add and Close button --%>
   <button class="button"
           onmouseover="this.className='button buttonRollover'"
           onmouseout="this.className='button'"
           onclick="DimNodeChooserDialog.add(); DimNodeChooserDialog.close();">
      <fmt:message key='application.button.addAndClose.txt' />
   </button>
   
   <%--  Add button --%>
   <button class="button"
           onmouseover="this.className='button buttonRollover'"
           onmouseout="this.className='button'"
           onclick="DimNodeChooserDialog.add();">
      <fmt:message key='application.button.add.txt' />
   </button>

   <%--  Close button --%>
   <button class="button"
           onmouseover="this.className='button buttonRollover'"
           onmouseout="this.className='button'"
           onclick="DimNodeChooserDialog.close();">
      <fmt:message key='closeButton.txt' />
   </button>

</div>