<%@ include file="/tiles/taglibs.jsp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<mon:html>

<head>
   <%@ include file="/tiles/layout/modalScriptIncludes.jsp" %>
   <%@ include file="/tiles/layout/styleAndScriptIncludes.jsp" %>
   <mon:include js="/script/overlib.js" />
   <mon:include flush="true" />
   <style type="text/css">
    html, body, iframe { margin:0; padding:0; height:100%; border:0px; }
    iframe { margin:0; padding:0; display:block; width:100%; height:100%; border:none; }
   </style>
</head>

<body onload="init()" >

<mon:setBundle />

<div id="dtcInfo" style="display:none">
<fmt:message key='application.wait.txt' />
</div>

<script type="text/javascript">
var dtcInfo = this.window.setTimeout(showPleaseWait, 1000);
function showPleaseWait() {
   setVisible("dtcInfo", true);
}   

//   setSelectedValue('<c:out value="${param.selectedValue}" />', '', '<c:out value="${param.selectedValueLabel}" />');

function init() {
<%
	if (ConfigDataProperties.getDimensionDeactivationUIEnabled().booleanValue()) {
%>
	window.setSelectedValue_updateCheckbox = my_setSelectedValue_updateCheckbox;
	var thisCheckbox = elementById("treeChooserHideInactivesetSelectedValue");
	if (thisCheckbox != null)
	   {
	    var parentCheckbox = elementById("hideInactive", parent.document);
	    parentCheckbox.checked = thisCheckbox.checked;
	    thisCheckbox.style.display = "none";   // hide the inner checkbox	   
	   }
<%
	}
%>
   clearTimeout(dtcInfo);
   setVisible("dtcInfo", false);
}
   
function setSelectedValue(id, name, node, locPath) {
	parent.setSelectedValue(id, name, node, locPath);
}

function my_setSelectedValue_updateCheckbox(showInactive) {
	elementById("hideInactive", parent.document).checked = !showInactive;
}
</script>

<%
	final boolean showRoot = "true".equals(request.getParameter("showRoot"));
	final boolean showInactive = request.getAttribute("showInactive") == null
		? "true".equals(request.getParameter("showInactive"))
		: "true".equals(request.getAttribute("showInactive"));
	final String secureObjectClass = request.getParameter("secureObjectClass") == null ? "" :
		request.getParameter("secureObjectClass");
	final String secureAction = request.getParameter("secureAction") == null ? "" :
		request.getParameter("secureAction");
	final String parentArea = request.getParameter("parentArea") == null ? "" :
		request.getParameter("parentArea");
	final String feature = request.getParameter("feature") == null ? "" :
		request.getParameter("feature");
	final boolean constrain = "true".equals(request.getParameter("constrain"));
	final String nodes = request.getParameter("nodes") == null ? "" :
		request.getParameter("nodes");
	final boolean leafOnly = "true".equals(request.getParameter("leafOnly"));
%>

<form name="utilForm" method="post" style="display:none"></form>

<mon:SearchTreeChooser
      readOnly="false"
      searchable="false"
      dimensionNodeClassName='<%= (String)request.getParameter("dimensionNodeClassName") %>'
      selectMethod="setSelectedValue"
      selectedNodeKey="selectedValue"
      showDescendantsOfConstrainedObjects="false"
      showInactive="<%= showInactive %>"
      showRoot="<%= showRoot %>"
      secureObjectClass="<%= secureObjectClass %>"
      secureAction="<%= secureAction %>"
      parentArea="<%= parentArea %>"
      constrainByMappings="<%= constrain %>"
      previouslySelectedNodes="<%= nodes %>"
      feature="<%= feature %>"
      cssStyle="width:100%;height:200px;border:0px"
      leafOnly="<%= leafOnly %>"
      showFooter="false"
/>
</body>
</mon:html>
