<%@ page import="com.sas.oprisk.framework.server.util.*"%>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils"%>
<%@ page import="com.sas.oprisk.monitor.web.ora.actions.*"%>
<%@ include file="/tiles/taglibs.jsp"%>

<%
   java.util.ResourceBundle bundle = ApplicationProperties
					.getBundle(request.getLocale());
			final boolean isDimPoint = false; // all favorites are areas
			final String id = request.getParameter("id");

			String colName = bundle.getString("application.name.txt");
			String colLocation = bundle.getString("ora.riskArea.title.txt");
%>

<mon:Page template="popup">
   <mon:Head>
      <script type="text/javascript">
      function deleteFavorite(handle, name) {
         var msg = "<%= StringUtil.escapeJSForHTML(bundle.getString("favorites.confirmDelete.fmt.txt")) %>";
         if (confirm(formatMessage(msg, name))) {
            window.location = "<%=request.getContextPath()%>" 
               + "/Ora.do?method=deleteFavorite"
               + "&dimPoint=<%=isDimPoint%>" 
               + "&id=<%= StringUtil.encodeURLValue(id) %>" 
               + "&favoriteHandle=" + encodeURIComponent(handle);
         }
      }
      
      function editOra(favHandle, name, advanced) {
         window.location = "<%=request.getContextPath()%>" 
            + "/Ora.do?method=editFavorite"
            + "&dimPoint=<%=isDimPoint%>" 
            + "&favoriteHandle=" + encodeURIComponent(favHandle)
            + "&id=<%= StringUtil.encodeURLValue(id) %>"
            + "&adv=" + encodeURIComponent(advanced);
      }
      
      function doClose() {
         window.close();
      }
      
      <c:if test="${favoritesChanged}">
         if (window.opener && window.opener["<%= StringUtil.escapeJSForHTML(id) %>Chooser"]) {
            window.opener["<%= StringUtil.escapeJSForHTML(id) %>Chooser"].refreshChooser();
         }
      </c:if>
      
      </script>
   </mon:Head>
   <mon:Body>
      <mon:Content>
         <mon:table name="favorites" class="displayTable" id="favorite"
            cellspacing="0">
            <%
               String handle = "";
               String name = "";
               OraAction.Fav fav = (OraAction.Fav) favorite;
               if (fav != null) {
                  handle = fav.getHandle();
                  name = fav.getName();
               }
            %>
            <display:column title='<%= colName %>'>
               <a href="javascript:editOra('<%= StringUtil.escapeJSForHTMLAttribute(handle) %>',<%
                                         %>'<%= StringUtil.escapeJSForHTMLAttribute(name) %>',<%
                                         %><c:out value="${favorite.advanced}" />)"><c:out value="${favorite.name}" /></a>
            </display:column>

            <display:column title='<%= colLocation %>'>
               <c:out value="${favorite.description}" escapeXml="false" />
            </display:column>

            <display:column width='1%'
               title='<%= bundle.getString("application.delete.tooltip.txt") %>'
               align='center' headerClass="nwc">
               <a
                  href="javascript:deleteFavorite('<%= StringUtil.escapeJSForHTMLAttribute(handle) %>', '<%= StringUtil.escapeJSForHTMLAttribute(name) %>')"><img
                  src="<fmt:message key='application.delete.image' />"
                  border="0"
                  alt="<fmt:message key='application.delete.tooltip.txt' />"
                  title="<fmt:message key='application.delete.tooltip.txt' />" /></a>
            </display:column>
         </mon:table>
      </mon:Content>
      <mon:PopupButtonBar>
         <mon:Button name="doneButton" onclick="doClose()">
            <fmt:message key='application.button.done.txt' />
         </mon:Button>
      </mon:PopupButtonBar>
   </mon:Body>
</mon:Page>
