<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="com.sas.oprisk.framework.server.persistence.PersistenceSession" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.treechooser.*" %>

<%@ include file="/tiles/taglibs.jsp" %>

<mon:setBundle />
<%
	final Locale locale = request.getLocale();
	final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
%>

<%-- include the static js --%>
<script type="text/javascript"
   src='<%= request.getContextPath() %>/components/ora/OraEditorStaticScript.jsp'></script>

<script type="text/javascript">

function fillDimNodes() {
	var dimNode;
	var dim;
	
	// hide messages
	parent.setVisible('messages', false);
	
	<c:forEach items="${nodes}" var="node">
<%
		DimensionNode dimNode = (DimensionNode)pageContext.findAttribute("node");
		String path = com.sas.oprisk.server.util.PathUtils.formatPath(dimNode.getPath(locale, psession));
		if ("".equals(path)) {
			path = dimNode.getName(locale);
		}
%>
		dim = parent.getDimensionByName('<c:out value="${node.dimension.value}" />');
		if (dim != null) {
			dimNode = new DimensionNode(
				dim, '<c:out value="${node.handleString}" />', 
				'<%= StringUtil.escapeJSForHTML(path) %>');
			parent.dimNodes[parent.dimNodes.length] = dimNode;
			parent.addDimTableRow(dimNode);
		}
	</c:forEach>
	
	parent.updateDimTableButtons();
	parent.refreshDimSelector();
}

fillDimNodes();

</script>
