
<%@page import="com.sas.oprisk.monitor.web.tags.QuestionTag"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.assessment.RatingsComponent"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.ResponsesComponent"%>
<%@page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="java.util.*"%>
<%@page import="com.sas.oprisk.server.logical.ResponseMap"%>
<%@page import="com.sas.solutions.cpb.screendefs.Field"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="java.util.ResourceBundle"%>
<%@page import="java.util.Locale"%>

<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />
<%
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final Locale locale = request.getLocale();
   final ResourceBundle bundle = ApplicationProperties.getBundle(locale);

   final MonitorUIContext uiContext = (MonitorUIContext)RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   final ResponsesComponent component = (ResponsesComponent)componentInfo.getComponent();
   final Field field = componentInfo.getField();
   
   boolean readOnly = componentInfo.isReadOnly();
   
   // field value
   final ResponseMap responses = (ResponseMap)uiContext.getValue(field);
   
   // evaluate the component parameters
   final Map params = field.getParameters(uiContext);
   
   // did they specify a point-in-time?
   final Timestamp pointInTime = (Timestamp)params.get(MonitorUIDefinitionType.PARAM_POINT_IN_TIME);
   
   // get the measures (already sorted)
   final List measures = ResponsesComponent.getMeasures(field, params, uiContext, pointInTime, psession);
   
   // are we working from a static list of measures, or can the list be modified/managed?
   final boolean staticMeasures = !Boolean.TRUE.equals(params.get(ResponsesComponent.PARAM_ALLOW_MANAGE_MEASURES));
   
   // should we allow them to select "Unable to Certify"?
   final boolean allowUTC = Boolean.TRUE.equals(params.get(ResponsesComponent.PARAM_ALLOW_UTC));
   
   // set of response handle strings that were marked as "Unable to Certify"
   final Set utcSet = (Set)uiContext.getValue(ResponsesComponent.VAR_UTC_SET);
%>

<%
   if (!staticMeasures && !readOnly) {
%>
<a href="javascript:ResponsesComponent.addMeasure()">[<fmt:message key="application.button.addMeasure.txt" />]</a>
<br />
<%
   }
   if (measures != null && !measures.isEmpty()) {
%>
<table>
<%
      for (Iterator it = measures.iterator(); it.hasNext();) {
         final ResponseScaleType measure = (ResponseScaleType)it.next();
         final ResponseScale scale = responses.getResponseScale(measure.getHandle(), pointInTime, psession);
         
         final BusinessObjectResponse boResponse = responses == null ? null 
            : responses.getOrCreateResponseByMeasure(measure.getHandle(), psession);
         
         final String responseHandle = boResponse == null ? measure.getVariableName() : boResponse.getHandleString(); 
         
         final String scoreProp = RatingsComponent.SCORE_PROPERTY + 
            (boResponse == null ? "" : boResponse.getHandleString()); 
         
         final String justProp = RatingsComponent.JUSTIFICATION_PROPERTY + 
            (boResponse == null ? "" : boResponse.getHandleString()); 
         
         // description isn't required, it could be null.  fall back on name
         final String measureDescription = measure.getDescription(locale, psession) 
            != null ? measure.getDescription(locale, psession) : measure.getName(locale, psession);
         
%>
   <tr><td></td>
<%
         QuestionTag.writeScaledResponse(
            boResponse, 
            null,
            scale, 
            measure, 
            uiContext.getLastRequestValue(scoreProp), 
            uiContext.getLastRequestValue(justProp),
            measureDescription, 
            readOnly, 
            componentInfo.isRequired(),
            component.allowMeasureJustifications(params),
            bundle, 
            pageContext, 
            pointInTime, 
            false,
            psession);

         if (!readOnly && (!staticMeasures || allowUTC)) {
            final boolean unableToCertify = utcSet != null && utcSet.contains(responseHandle); 
%>
      <script type="text/javascript">elementById('<%= QuestionTag.EXTRA_PREFIX + responseHandle %>').innerHTML =
<%          if (allowUTC && !measure.isComputed()) { %>          
           "&nbsp;&nbsp;<input type='checkbox' name='utc-<%= responseHandle %>' id='utc-<%= responseHandle %>' value='true' " 
         + "<%= (unableToCertify ? "checked='checked'" : "") %> />"
         + "<label for='utc-<%= responseHandle %>'><fmt:message key='ControlCertification.Certification.unable.key.txt'/></label>"
<%          } %>          
         + "&nbsp;&nbsp;&nbsp;<a href='javascript:ResponsesComponent.removeResponse(\"<%= responseHandle %>\")'"
         + ">[<fmt:message key='application.removeEllipsis.txt'/>]</a>";
      </script>
<!--
      <td>&nbsp;&nbsp;<a href="javascript:ResponsesComponent.removeResponse('<%= responseHandle %>')"
            >[<fmt:message key='application.removeEllipsis.txt'/>]</a></td>
-->
<%       } %>
   </tr>         
<%    } // end for  %>
</table>
<% } else { %>
<fmt:message key="TC.tableComponent.noRecords.txt" />
<% } // end if/else %>