<%@page import="com.sas.oprisk.framework.server.util.*" %>
<%@page import="com.sas.oprisk.server.ApplicationProperties"%>
<%@page import="java.util.*"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.oprisk.server.logical.DimensionalAreaHandle"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.AssessmentUIDefinitionType"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.assessment.PopAsblTableComponent"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.assessment.RatingsSummaryAsblTableComponent" %>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.*"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.PrepopulatedAssessableEntry"%>
<%@page import="com.sas.oprisk.server.logical.DimensionalArea"%>
<%@page import="com.sas.oprisk.monitor.web.table.*"%>

<%@ include file="/tiles/taglibs.jsp" %>


<%@page import="com.sas.oprisk.monitor.web.csa.assessment.ratingsSummary.RatingsSummaryModel"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.ratingsSummary.RatingsSummaryAction"%><mon:setBundle />
<%
   final ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final RatingsSummaryModel model = (RatingsSummaryModel)request.getAttribute(RatingsSummaryAction.ATTR_MODEL);

   final UIContext uiContext = RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   
   Map<String,Object> params = componentInfo.getField().getParameters(uiContext);
   
   boolean showClose = true;
   if (params.get(RatingsSummaryAsblTableComponent.PARAM_SHOW_CLOSE) != null)
      showClose = Boolean.parseBoolean(params.get(RatingsSummaryAsblTableComponent.PARAM_SHOW_CLOSE).toString());
   
   boolean showDelete = true;
   if (params.get(RatingsSummaryAsblTableComponent.PARAM_SHOW_DELETE) != null)
      showDelete = Boolean.parseBoolean(params.get(RatingsSummaryAsblTableComponent.PARAM_SHOW_DELETE).toString());
   

   final AssessmentAnswerSheet sheet = (AssessmentAnswerSheet)uiContext.getValue(
      MonitorUIContext.DefaultField.BUSINESS_OBJECT.getName());
   
   final PopAsblTableComponent patc = (PopAsblTableComponent)componentInfo.getComponent();
   final AssessableTypeCd asblTypeCd = patc.getAssessableTypeCd();
   final String asblType = asblTypeCd.getValue();
   
   final String fieldName = componentInfo.getField().getName();
   
   String editAsblMethod = null;
   String selectAsblAction = null;
   
   // === begin differences in assessable types
   if (AssessableTypeCd.risk.equals(asblTypeCd)) {
      editAsblMethod = "editRisk";
      selectAsblAction = "PopulatedRiskChooser";
   } else if (AssessableTypeCd.control.equals(asblTypeCd)) {
      editAsblMethod = "editControl";
      selectAsblAction = "PopulatedControlChooser";
   }
   // === end differences in assessable types
%>
      
<script type="text/javascript">

function showContextMenu(handle, tpHandle, statusCd, name) {
   var closed = '<%= AnswerSheetStatusCd.closed.getValue() %>' == statusCd;
   
   var menu = new TableMenu();
   menu.addMenuItem(new MenuItem(MenuItem.prototype.action,
      "<%= request.getContextPath() %>/" + (closed ? "<fmt:message key='application.rate.disabled.image'/>" : "<fmt:message key='application.rate.image'/>"), 
      "<fmt:message key='AssessorQnr.button.rateAssessable.txt'/>", "javascript:<%= editAsblMethod %>('" + handle + "', 'true')", 
      !closed)); 
   
   <% if (showClose) { %>
   menu.addMenuItem(new MenuItem(MenuItem.prototype.action,
      "<%= request.getContextPath() %>/" + (closed ? "<fmt:message key='application.remove.disabled.image'/>" : "<fmt:message key='application.remove.image'/>"), 
      "<fmt:message key='AssessorQnr.button.closeAssessable.txt'/>", "javascript:doQnr('closeAssessable&asblHandle=" + tpHandle + "&cpbFieldName=<%= fieldName %>')", 
      !closed));
   <% } %>
   
   <% if (showDelete) { %>
   menu.addMenuItem(new MenuItem(MenuItem.prototype.separator));
   menu.addMenuItem(new MenuItem(MenuItem.prototype.action,
      "<%= request.getContextPath() %>/" + (closed ? "<fmt:message key='application.deletedisabled.image'/>" : "<fmt:message key='application.delete.image'/>"), 
      "<fmt:message key='AssessorQnr.button.deleteAssessable.txt'/>", "javascript:doQnr('deleteAssessable&asblHandle=" + tpHandle + "&cpbFieldName=<%= fieldName %>')", 
      !closed));
   <% } %>
   
   menu.render();
   return false;
}

function createAssessable() {
    doQnr("createAssessable" 
       + "&asblType=<%= asblType %>"
       + "&cpbFieldName=<%= fieldName %>"
       + "&asmtHandle=<%= model == null ? null : model.getAssessment().getHandleString() %>"
       + "&location=<%= sheet == null ? null : sheet.getLocation(psession).getHandleString() %>");
}

function editRisk(handle, rate) {
   editAssessable("riHandle", handle, rate);
}

function editControl(handle, rate) {
   editAssessable("ciHandle", handle, rate);
}

function editCause(handle, rate) {
   editAssessable("ciHandle", handle, rate);
}

function editAssessable(handleParam, handle, rate) {
   var action = "editAssessable"
       + "&" + handleParam + "=" + handle
       + "&asblType=<%= asblType %>"
   <c:if test="${not empty rsumModel.frozenDttm}">
      action += "&pointInTime=<c:out value="${rsumModel.frozenDttm}"/>";
   </c:if>
   if (rate) {
      action += "&expandRatings=true#ratings";
   }
   doQnr(action);
}

function selectAssessable() {
   openModal(
      "<%= request.getContextPath() %>" 
         + "/<%= selectAsblAction %>.do"
         + "?asmtHandle=<%= model == null ? null : model.getAssessment().getHandleString() %>"
         + "&qAction=<%= selectAsblAction %>"
         + "&location=<%= uiContext.getValue("assessment.location") %>",
      "selectAsblPopup");
}

function addAssessables(selectionArray, unused, createCopy) {
   var params = getRatingsSummaryParameters();
   if (createCopy) {
      params.createCopy = createCopy;
   }
   
   RCSAService.addAssessables(
      "<c:out value='${componentInfo.field.name}' />",
      "<c:out value='${componentInfo.component.name}' />",
      "" + selectionArray, 
      "unused",   // we know what sheet to add it to, already
      params,
      function(pageMod) {
         PageModification.handle(pageMod);
         <c:if test="${componentInfo.field.hasOnChangeActions}">
         cpb.fieldValueChanged("<c:out value='${componentInfo.field.name}' />"); // signal a change occurred
         </c:if>
      }
   );
}

//refresh table content
function refreshRatingsSummaries() {
   RCSAService.refreshRatingsSummaries(
     "<c:out value='${componentInfo.field.name}' />",
     "<c:out value='${componentInfo.component.name}' />",
     getRatingsSummaryParameters(),
     function(pageMod) {
       PageModification.handle(pageMod);
     }
   );
}

function getRatingsSummaryParameters() {
   var f = document.forms.<c:out value="${componentInfo.formName}" />;
   var params = getParamsForTable(f, "<%= patc.getTableEntryId() %>", "<c:out value='${componentInfo.field.name}' />");
   params.qnrHandle = "<c:out value='${uiContext.handle}' />"; // needed to retrieve the answer sheet
   return params;
}

</script>

<a name="ratingsSummary"></a>

<div id="ratingsSummary_div" >
<jsp:include page = "RatingsSummaryTableContent.jsp" />
</div>  

<script type="text/javascript">

   // override the submit function to use ajax
   getTableComponent("<%= patc.getTableEntryId() %>", "<%= fieldName %>").submit = refreshRatingsSummaries;
</script>
