<%@page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.util.UIContextUtil"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@ include file="/tiles/taglibs.jsp" %>

<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="com.sas.oprisk.monitor.web.MonitorContext" %>
<%@ page import="com.sas.oprisk.monitor.web.controlInstance.ControlInstanceCPBModel" %>
<%@ page import="com.sas.oprisk.framework.server.objects.Do" %>
<%@ page import="com.sas.oprisk.monitor.web.controlTesting.controlProfile.CertificationCellFormatter" %>
<%@ page import="com.sas.solutions.cpb.web.util.RequestUtil" %>

<mon:setBundle />
<%
   MonitorContext mc = MonitorContext.getMonitorContext(request);
   java.util.Locale locale = request.getLocale();  
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   
   final ControlInstanceCPBModel model = (ControlInstanceCPBModel)request.getAttribute("model");
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final ControlInstance control = model == null ? null : model.getControlInstance();
   
   java.util.Map formatters = new java.util.HashMap();
   formatters.put("certificationResponse", new CertificationCellFormatter(mc));
   
   final String exportCertXlsUrl = request.getContextPath() + "/ControlInstance.do?method=export&handle=" + 
      (control == null ? null : control.getHandleString()) + "&entryId=recentCertifications";
   //final String exportCertXlsUrl = "";
   
   final UIContext uiContext = UIContextUtil.getUIContext(request);
   boolean bIsPopup = Boolean.TRUE.equals(uiContext.getValue(MonitorUIDefinitionType.VAR_POPUP));
   boolean bCanCreate = false;
   
   if (model != null) {
      bCanCreate = model.getCanCreateCertifications().booleanValue() && !bIsPopup;
      uiContext.setValue("canCreate", Boolean.valueOf(bCanCreate));
   } else {
      bCanCreate = Boolean.TRUE.equals(uiContext.getValue("canCreate"));
   }
   
%>

    <mon:tableComponent entryName="recentCertifications" id="certification" wizCursor="refresh" columnFormatters="<%=formatters%>" exportXlsUrl="<%= exportCertXlsUrl %>">
       <mon:title><fmt:message key="controlCertification.displayName.txt"/></mon:title>

<%
   final ControlCertificationEx certObj = (ControlCertificationEx)pageContext.findAttribute("certification"); 
   if (certObj != null) {
      final ControlCertification controlCertification=ControlCertification.object.fetchIfExists(certObj.getControlCertificationRk(),psession);
      final String certPeriod = certObj.getCertificationPeriod(psession).toString();
      final boolean userCanBeDeleted = controlCertification.can(Do.DELETE, psession);
      final boolean objCanBeDeleted = controlCertification.canBeDeleted(psession);
      final boolean certificationCanBeDeleted = userCanBeDeleted && objCanBeDeleted;
      pageContext.setAttribute("certificationCanBeDeleted", Boolean.valueOf(certificationCanBeDeleted && !bIsPopup));

%>
       <mon:fixedColumn title='<%=bundle.getString("application.delete.txt")%>' width="1%" before="false" >        
          <c:if test="${certificationCanBeDeleted}">
             <a href="javascript:deleteCertification('<c:out value="${certification.handle}"/>', '<%= StringUtil.escapeJSForHTMLAttribute(certPeriod) %>') ">
               <img border="0" src="<fmt:message key='application.delete.image' />"  
                    alt="<fmt:message key='application.delete.tooltip.txt'/>" 
                    title="<fmt:message key='application.delete.tooltip.txt'/>"/>
             </a>
          </c:if>
       </mon:fixedColumn>
 <%
    }
 %>    
       <%if(bCanCreate) { %>       	
          <mon:action href='javascript:createCertification()'><fmt:message key='controlInstance.createCertification.txt'/></mon:action>
       <% } %>
       
    </mon:tableComponent> 

