<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.server.DimensionalPoint" %>
<%@ page import="com.sas.oprisk.monitor.web.utils.*" %>
<%@ include file="/tiles/taglibs.jsp" %>

<%
   Locale locale = request.getLocale();
   ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
%>

<mon:Page template="wizard">
   <mon:Head>
      <mon:include js="/script/checkboxRadioUtil.js" />
      <script type="text/javascript">
      function removeSelectedOras(){
      if (!hasAnySelectedCheckboxes(document.forms[0], "selectedDimensionPointHandles")) {
            alert("<fmt:message key='DimensionRelations.mustSelectOne.txt'/>");
            return;
         }
      
         goWizard('removeSelectedOras');
      }
      
      function setDimPointHandle(dpHandle) {
         beginWait();
         document.forms.questionGroupWizardForm.dimensionalPoint.value = dpHandle;
         goWizard('addOra');
      }

      function disableWhenReadOnly(element)
      {
         return (element.id != "cancel");
      }
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/QuestionGroupWizard">      
         <mon:ToolBar>
            
         </mon:ToolBar>
         
         <mon:Content>
            <mon:maintainWizardState/>
  
           <div style="display:none;">
           <mon:DimPointChooser 
            property="dimensionalPoint"
            feature="groupToAssessableItem"
            readOnly="false" 
              selectMethod="setDimPointHandle"
             />
           </div>
      
          <c:if test="${not readOnly}" >
           <div align="<%=layoutDirection.getRight()%>">
              <a href="javascript:dimensionalPointChooser.editOra();"><fmt:message key="QuestionGroupWizard.step.ora.add.txt"/></a>|
              <a href="javascript:removeSelectedOras();"><fmt:message key="QuestionGroupWizard.step.ora.remove.txt"/></a>
           </div>
          </c:if>
           
        <br/>
        
        <!-- Dimensional Points -->
        <mon:table class="displayTable" cellspacing="0" name="requestScope.assessedItems" id="item">
      <%      
            if (item != null) {
            
               final DimensionalPoint dp = (DimensionalPoint) item;
      %>    
          <c:if test="${not readOnly}" >
            <display:column width='1%'>
            
              <html:multibox property="selectedDimensionPointHandles">
                  <c:out value='${item.handleString}'/>
              </html:multibox>
      
            </display:column>
          </c:if>
            
            <display:column
               title='<%= bundle.getString("ora.riskPoint.title.txt") %>'>
               
               <%= StringUtil.escapeHTML(dp.toString(psession)) %>
               
            </display:column>
      <%      
            }
      %>    
        </mon:table>
         <!-- this is so that deselecting all checkboxes will be saved in form -->
         <input type="hidden" name="selectedDimensionPointHandles" />
        
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>

  