<%@page import="com.sas.oprisk.monitor.web.csa.assessment.ratingsSummary.RatingsSummaryAction"%>
<%@page import="com.sas.solutions.cpb.web.util.HTMLUtil"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.RiskInstanceUIDefinitionType"%>
<%@page import="com.sas.solutions.cpb.screendefs.Field"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="java.util.*" %>
<%@page import="com.sas.oprisk.monitor.web.csa.riskInstance.ControlInstanceTableQueryAction"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.util.UIContextUtil"%>
<%@ include file="/tiles/taglibs.jsp" %>

<mon:setBundle />

<mon:include js="/script/checkboxRadioUtil.js" />

<%
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final UIContext uiContext = UIContextUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);   
   final Field field = componentInfo.getField();
   
   final Map params = field.getParameters(uiContext);
   final String riskTypeFieldNm = (String)params.get(RiskInstanceUIDefinitionType.PARAM_RISK_TYPE_FIELD);
   final String qnrHandle = request.getParameter(RatingsSummaryAction.PARAM_QNR_HANDLE);
%>


<script type="text/javascript">

function addControl(handle) {
   var path = "/ControlInstance.do"
      + "?method=create"
      + "&riHandle=" + document.forms[0].riHandle.value
      + "&location=" + getInstanceArea()
      + "&qnrHandle=<c:out value="${riskInstanceCPBForm.qnrHandle}"/>"; 
   path = escape(path);
   doRiskInstance("forward&path=" + path + "&returnMethod=handleNewControl");
}

function editControlInstance(handle) {
   var path = "/ControlInstance.do"
	   + "?method=select"
      + "&riHandle=" + document.forms[0].riHandle.value
      + "&ciHandle="+handle
      + "&qnrHandle=<c:out value="${riskInstanceCPBForm.qnrHandle}"/>" 
      <c:if test="${model.readOnly}">+ "&readOnly=true"</c:if>
      <c:if test="${not empty uiContext.pointInTime}">+ "&pointInTime=<c:out value="${uiContext.pointInTime}"/>"</c:if>;

   path = escape(path);
   doRiskInstance("forward&path=" + path + "&returnMethod=refreshMitigatedControl");
}

function selectControlInstance() {
   openModal(
      "<%= request.getContextPath() %>" 
      + "/MitigatingControlInstanceChooserQuery.do"
      + "?riHandle=" + document.forms[0].riHandle.value
<% if (StringUtils.isEmpty(riskTypeFieldNm)) { %>
      + "&areaHandle=" + getInstanceArea()
<% } else { %>
      + "&retHandle=" + document.forms[0].<%= HTMLUtil.getSafeFieldName(riskTypeFieldNm) %>.value
<% } %>
      + "&constrainByMappings=true",
      "controlInstancePopup",
      "width=680,height=480,scrollbars,resizable,status");
}

function mapControlInstance(handle) {
   var f = document.forms.riskInstanceCPBForm;
   f.action = "<%= request.getContextPath() %>/RiskInstance.do"
	   + "?method=mapControl"
      + "&riHandle=" + document.forms[0].riHandle.value
      + "&ciHandle="+handle;
   f.submit();
}


function removeSelectedControlMappings() {
   if (!hasAnySelectedCheckboxes(document.forms[0], "selectedMitigatingControls")) {
      alert("<fmt:message key='DimensionRelations.mustSelectOne.txt'/>");
      return;
   }

   if (confirm("<fmt:message key='DimensionRelations.removeSelected.confirm.txt'/>")) {
      doRiskInstance("deleteControls", "controlInstancesTable");
   }
}

function refreshMitigatedControls(name) {
   
   var params = getParamsForTable(document.forms[0], 
         "<c:out value='${componentInfo.component.tableEntryId}' />", 
         "<c:out value='${componentInfo.field.name}' />");
   <% if (!StringUtils.isEmpty(qnrHandle)){ %>
   	  	    setMapValue(params, "<%= RatingsSummaryAction.PARAM_QNR_HANDLE %>", "<%= StringUtil.escapeJSForHTML(qnrHandle) %>");
   	  	    <% } %>
   RCSAService.refreshMitigatedControls(
         "<c:out value='${componentInfo.field.name}' />", 
        params,
      function(pageMod) {
        PageModification.handle(pageMod);
      }
   );
}
</script>


<div id="controlInstances_div">
     <jsp:include page = "ControlInstanceTableContent.jsp" />
</div>

<!--  override submit for supporting ajax sorting  -->
<script type="text/javascript">
   var tableComp = getTableComponent("<c:out value='${componentInfo.component.tableEntryId}' />", "<c:out value='${componentInfo.field.name}' />");
   tableComp.submit = refreshMitigatedControls;
</script>

<c:if test="${hasInvisibleControls}">
   <span class="infoMessage"><img align="absmiddle" src="<%= request.getContextPath() %>/images/MessageInform_16.gif">
   <fmt:message key="RiskInstance.hasInvisibleControls.txt" /></span><br/>
</c:if>
