<%@ page import="com.sas.oprisk.framework.server.util.DateTimeUtils" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="com.sas.solutions.cpb.web.tag.field.FieldRenderer" %>
<%@ page import="com.sas.oprisk.framework.server.persistence.PersistenceSession" %>
<%@ include file="/tiles/taglibs.jsp" %>
<%
   java.util.Locale locale = request.getLocale();
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   boolean isHistoryConfidential = Boolean.TRUE.equals(request.getAttribute("isHistoryConfidential"));
   PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   UserHandle currentUserHandle=SecurityUtils.getUser(psession).getHandle();
   String confidentialIcon=FieldRenderer.renderConfidentialFieldIndicator(locale);
 %>    
 <mon:Page template="popup">
<%-- BEGIN PAGE --%>

   <mon:Head>
   <%-- BEGIN HEAD --%>
   <style type="text/css" >
   .displayTable {
      width: 100%;
   }
   </style>
   <%-- END HEAD --%>
   </mon:Head>
   
   <mon:Body>
   <%-- BEGIN BODY --%>
      
      <form>
      
      <mon:Content>
      <%-- BEGIN CONTENT --%>
<%
   if (!isHistoryConfidential) {%>
         <mon:table cellspacing="0" class="displayTable" name="changeReasons" id="changeReason">
            <mon:title>
               <c:if test="${not empty tableMessage}"><c:out value="${tableMessage}" /></c:if>
               <c:if test="${empty tableMessage}"><fmt:message key="application.history.txt" /></c:if>
            </mon:title>
<%
   ChangeReason ccr = (ChangeReason) changeReason;
%>
            <display:column title='<%= bundle.getString("changeReason.field.saveDttm.displayName.txt") %>'>
               <%= DateTimeUtils.formatDateTime(ccr.getSaveDttm(), request.getLocale()) %>
            </display:column>
            <display:column title='<%= bundle.getString("user.field.displayNm.displayName.txt") %>' >
               <%= StringUtil.escapeHTML(ccr.getEditor(psession).getDisplayNm(locale)) %>
            </display:column>
            <display:column title='<%= bundle.getString("changeReason.field.reasonTxt.displayName.txt") %>'>
               <%= StringUtil.escapeHTML(ccr.getReasonTxt()) %>
            </display:column>
         </mon:table>
 <%} else{ %>
         <mon:table cellspacing="0" class="displayTable" name="changeReasons" id="changeReason">
            <mon:title>
               <c:if test="${not empty tableMessage}"><c:out value="${tableMessage}" /></c:if>
               <c:if test="${empty tableMessage}"><fmt:message key="application.history.txt" /></c:if>
            </mon:title>
<%
         ChangeReason ccr = (ChangeReason) changeReason;
   
%>
            <display:column title='<%= bundle.getString("changeReason.field.saveDttm.displayName.txt") %>'>
<% 
         if (currentUserHandle.equals(ccr.getEditorHandle())){
            out.print(DateTimeUtils.formatDateTime(ccr.getSaveDttm(), request.getLocale()));
         }else{
            out.print(confidentialIcon);           
         }
%>
            </display:column>
            <display:column title='<%= bundle.getString("user.field.displayNm.displayName.txt") %>' >
<% 
         if (currentUserHandle.equals(ccr.getEditorHandle())){
            out.print(StringUtil.escapeHTML(ccr.getEditor(psession).getDisplayNm(locale)));
         }else{
            out.print(confidentialIcon);           
         }
%>
            </display:column>
            <display:column title='<%= bundle.getString("changeReason.field.reasonTxt.displayName.txt") %>' >
<%
         if (currentUserHandle.equals(ccr.getEditorHandle())){
            out.print(StringUtil.escapeMessagesHTML(ccr.getReasonTxt()));
         }else{
            out.print(confidentialIcon);           
         }
%>
            </display:column>
         </mon:table>
<%
   }
%>
      <%-- END CONTENT --%>
      </mon:Content>
   
      <mon:PopupButtonBar>
      <%-- BEGIN POPUP BUTTONS --%>
         <mon:Button 
             onclick="window.close()">
            <fmt:message key="closeButton.txt" />
         </mon:Button>
      <%-- END POPUP BUTTONS --%>
      </mon:PopupButtonBar>
      
      </form>
      
   <%-- END BODY --%>
   </mon:Body>
   
<%-- END PAGE --%>
</mon:Page>
