<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.server.logical.*" %>
<%@ page import="com.sas.oprisk.monitor.web.table.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="com.sas.oprisk.monitor.web.controlTesting.controlProfile.ControlProfileEntry" %>
<%@ page import="com.sas.oprisk.monitor.web.controlTesting.tests.*" %>
<%@ page import="com.sas.oprisk.monitor.web.controlTesting.controlProfile.CertificationCellFormatter" %>
<%@ page import="com.sas.solutions.cpb.web.util.*" %>
<%@ page import="org.apache.struts.util.LabelValueBean" %>

<%@ include file="/tiles/taglibs.jsp" %>

<%@page import="com.sas.solutions.cpb.web.util.json.JSONEncoder"%>
<mon:setBundle />

<%
   final java.util.Locale locale = request.getLocale();
   final java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   
      String selColTitle = "<input type=\"checkbox\" name=\"selectAll\" title=\"" 
      	+ bundle.getString("application.selectAll.tooltip.txt") + "\" />";
        
   MonitorContext mc = MonitorContext.getMonitorContext(request); 
   java.util.Map formatters = new java.util.HashMap();
   formatters.put("lastCertification", new CertificationCellFormatter(mc));
   formatters.put("lastTestMeasures",   new TestMeasureCellFormatter(mc)); 
   formatters.put("lastTestConclusions", new TestConclusionCellFormatter(mc));

   
   final String exportUrl = request.getContextPath() + "/MultipleControlsCertificationEdit.do?method=export&entryId=controls";
   
   final String fieldName = "multipleControls";
   boolean valid = !RequestUtil.isFieldValueInvalid(fieldName, pageContext);
   
%>

<mon:include js="/script/checkboxRadioUtil.js" />
   
<script type="text/javascript">
	//shows the control instance in a new popup window as readonly. The new window closes once "Done" viewing.
   function showControlInstance(handle) {	   		
       openModal(
      	"<%= request.getContextPath() %>" 
	      + "/ControlInstance.do?method=select&handle="
	      + handle + "&readOnly=true&popup=true",
      	"controlInstancePopup", 
      	"width=650,height=450,scrollbars,resizable,status");
   }
   
   //method to show a pop-up window that will show the controls that can be selected based on a ORA.
   function addControls() {		
	openModal(
      		"<%= request.getContextPath() %>" 
	      	+ "/MultipleControlsCertificationEdit.do?method=forwardToAddControls",
      		"controlInstancesPopup", 
      		"width=680,height=480,scrollbars,resizable,status");
   }
   
   
   
   //method to add the selected controls from "Add Controls" window and refresh the current Multiple Controls Certification screen.
   //Invoked on clicking the "Add" or "Add and Close" buttons of the "Controls" pop-up.
   function addSelectedControls(selectionArray) {
   	// store selection array in hidden field
   	document.forms.multipleControlsCertificationFormEx.controlsToAddOrRemove.value = selectionArray;
   	
   	// submit form and add selected controlds
   	doMultipleControlsCertification("addControls");
   }

   function removeControl(handle, controlName) {
      var msg = unescape("<%= ParsingUtils.escape(bundle.getString(
         "MultipleControlsCertification.removeControl.confirm.message.fmt.txt")) %>");
      msg = formatMessage(msg, unescape(controlName));
      if (confirm(msg)) {	   	   	   
         document.forms.multipleControlsCertificationFormEx.controlsToAddOrRemove.value = handle;
         doMultipleControlsCertification("removeControl");
      }
   }  

   function popPriorCertification(handle, controlName) {
   	openModal(
	      "<%= request.getContextPath() %>" 
	      + "/MultipleControlsCertificationEdit.do?method=viewCertificationForPriorPeriod&handle="
	      + handle + "&isReadOnly=true&isPopup=true",
	      "viewPriorCertificationPopup", 
	      "width=680,height=480,scrollbars,resizable,status");
   }  

   function showCIContextMenu(handle, name, period) {
      var menu = new TableMenu();      
      if(period != 'null') {
      	menu.addMenuItem(new MenuItem(MenuItem.prototype.action,"<fmt:message key='application.viewdata.image'/>", "<fmt:message key='controlTesting.viewPriorCertification.title.txt'/>", "javascript:popPriorCertification('" + handle + "','" + name + "')"));
      }            
      menu.addMenuItem(new MenuItem(MenuItem.prototype.action,"<fmt:message key='application.remove.image'/>", "<fmt:message key='application.remove.txt'/>", "javascript:removeControl('" + handle + "','" + name + "')"));      
      menu.render();
      return false;
   } 

</script>

    <input type="hidden" name="controlsToAddOrRemove" />
    <mon:tableComponent entryName="controls" 
    	required="true" valid="<%= valid %>"
    	id="control" wizCursor="refresh" columnFormatters="<%= formatters %>" exportXlsUrl="<%= exportUrl %>" >
    <%
      final ControlProfileEntry entry = (ControlProfileEntry)pageContext.findAttribute("control");
      String controlName = "";
      if(entry != null)	{
         controlName = ParsingUtils.escape(entry.getControlInstNm());
      }
      final CertificationPeriod certPeriod = (CertificationPeriod)RequestUtil.getUIContext(request).getValue("certPeriod");         
    %>
       <mon:title><fmt:message key="controlCertification.multipleControls.txt"/></mon:title>
       
       <mon:action href='javascript:addControls()'><fmt:message key='testDefinition.title.controls.add.txt'/></mon:action>&nbsp;|&nbsp;       	                
       

      <mon:fixedColumn title='<%= bundle.getString("displayTable.actions.txt") %>' width="1%">
      	
        &nbsp;<a href="#" onclick="return showCIContextMenu('<c:out value='${control.handleString}'/>', '<%= controlName %>', '<%= StringUtil.escapeJSForHTMLAttribute(certPeriod) %>' )"
        ><img border="0"
          src="<%= request.getContextPath() %>/<fmt:message key='application.showActionsButton.row.image'/>" 
          alt="<fmt:message key='application.rowActions.tooltip.txt'/>"
          title="<fmt:message key='application.rowActions.tooltip.txt'/>"
        /></a>&nbsp;
      </mon:fixedColumn>

    </mon:tableComponent> 
    
