<%@ include file="/tiles/taglibs.jsp" %> 
<%@ page import="com.sas.oprisk.monitor.web.incident.IncidentModel" %>

<%     
   final boolean readOnly = Boolean.TRUE.equals(request.getAttribute("readOnly"));
   boolean fresh = ((Boolean)request.getAttribute("fresh")).booleanValue();
   String ifcHandle = (String)request.getAttribute("ifcHandle");
   String ciHandle = (String)request.getAttribute("ciHandle");    
%> 

<mon:Page template="details">
   <mon:Head>
      <script type="text/javascript">
      function monitorInit() {
         initNSMenu();
         
         <c:if test="${readOnly}" >
            // disable all other form fields and buttons
            for(i = 0; i < document.forms.IncidentControlExForm.elements.length; i++) {
               if ((document.forms.IncidentControlExForm.elements[i].type != "hidden") &&
                  (document.forms.IncidentControlExForm.elements[i].type != "button")) {
                 document.forms.IncidentControlExForm.elements[i].disabled = true;
              }
            }
         </c:if>
         
      }
      
      function addAndClose() {
         document.forms.IncidentControlExForm.action = 
            "<%= request.getContextPath() %>/FailedControl.do?method=save&ifcHandle=<%= StringUtil.encodeURLValue(ifcHandle) %>";
         document.forms.IncidentControlExForm.submit();
      }
         
      
      function add() {
         document.forms.IncidentControlExForm.action = 
            "<%= request.getContextPath() %>/FailedControl.do?forward=createFailedControl";
         document.forms.IncidentControlExForm.submit();
         
      }
      
      function deleteControl() {
         document.forms.IncidentControlExForm.action = 
            "<%= request.getContextPath() %>/FailedControl.do?method=deleteControl";
         document.forms.IncidentControlExForm.submit();
         
      }
      
      function submitToAction(action) {
        document.forms.IncidentControlExForm.action = action;
        document.forms.IncidentControlExForm.submit();
      }
      
      function go(action,extraParams) {
        var url = "<%= request.getContextPath() %>/FailedControl.do?method=" + action;
        if (extraParams != null) url = url + "&" + extraParams;
        submitToAction( url );
      }
      
      function forward(path, anchor) {
        path = escape(path);
        if (anchor && (anchor != "")) {
          path += "#" + anchor;
        }
        go('forward', 'path=' + path );
      }
      
      
      function viewControlInstance(handle) {
         var path = "/ControlInstance.do?method=select&handle=" + handle;
         forward (path)
      }
      function selectControlInstance() {
         openModal(
            "<%= request.getContextPath() %>" 
               + "/LinkToControlInstanceChooserQuery.do?riHandle="
               + document.forms[0].eventHandle.value,
            "controlInstancePopup", 
            "width=680,height=480,scrollbars,resizable,status");
      }
      
      function mapControlInstance(handle) {
         var f = document.forms.IncidentControlExForm;
         f.action = "<%= request.getContextPath() %>/FailedControl.do?method=createFailedControl&ciHandle=" + handle;
         f.submit();
      }
      
      function cancel() {
         var f = document.forms.IncidentControlExForm;
         f.action = "<%= request.getContextPath() %>/FailedControl.do"
            + "?method=cancel";
         f.submit();
      }
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/FailedControl">      
         <mon:ToolBar>
             <c:if test="${!readOnly}" >
               <c:if test="${fresh}" >
                  <mon:Button name="addAndCloseButton" onclick="lock(this);addAndClose();">
                     <fmt:message key='application.button.addAndClose.txt' />
                  </mon:Button>
                  <mon:Button name="cancelButton" onclick="cancel();">
                     <fmt:message key='application.button.cancel.txt' />
                  </mon:Button>
               </c:if>
               <c:if test="${!fresh}" >
                  <mon:Button name="saveButton" onclick="addAndClose();">
                     <fmt:message key='saveButton.txt' />
                  </mon:Button>
                  <mon:Button name="cancelButton" onclick="cancel();">
                     <fmt:message key='cancelButton.txt' />
                  </mon:Button>
               </c:if>
            </c:if>
            <c:if test="${readOnly}" >
               <mon:Button name="returnButton" onclick="cancel();">
                  <fmt:message key='returnButton.txt' />
               </mon:Button>
            </c:if>
         </mon:ToolBar>
         
         <mon:Content>
            <html:hidden property="eventHandle"/>
            <html:hidden property="controlHandle"/>
            <html:hidden property="sourceSystemCd"/>
            <html:hidden property="incidentControlId"/>
            <html:hidden property="incidentControlRk"/>
            <html:hidden property="incidentControlNm"/>
            <html:hidden property="controlInstance"/>
            <input type="hidden" name="handle" value="<c:out value="${uiContext.handle}" />" />
            <input type="hidden" name="isFresh" value="<c:out value="${fresh}" />" />
            <input type="hidden" name="readOnly" value="<c:out value="${readOnly}" />" />
            <html:hidden property="parentEventHandle"/>
            <html:hidden property="parentEffectHandle"/>
               
              <%-- render the screen --%>
            <cpb:screen screenID="Incident-FailedControl" readOnly="<%= readOnly %>" />
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>