<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.server.logical.*" %>
<%@ page import="com.sas.oprisk.monitor.web.table.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="com.sas.oprisk.server.cpb.uiDefType.FinancialEffectUIDefinitionType" %>

<%@ include file="/tiles/taglibs.jsp" %>


<%@page import="com.sas.solutions.cpb.util.FieldUtil"%><mon:setBundle />

<%
   final java.util.Locale locale = request.getLocale();
   final java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final boolean readOnly = Boolean.TRUE.equals(request.getAttribute("readOnly"));
   String handle = (String)request.getAttribute("effectHandle");
   String exportUrl = request.getContextPath() + "/FinancialEffectFailedControlQuery.do?handle=" + handle + "&entryId=failedControls";
%>    
<script type="text/javascript">
function addFailedControl() {
   var f = document.forms.incidentWizardForm;
   f.action = "<%=request.getContextPath()%>/IncidentWizard.do?method=createFailedControl";
   f.submit();
}

function removeFailedControl(handle) {  
   var path = "/FailedControl.do?method=deleteFinancialEffectFailedControl&controlHandle=" + handle;
   forward(path,null);
}

function editFailedControl(handle) {
	var f = document.forms[0];
   var path = "/FailedControl.do?method=editFinancialEffectFailedControl" +
      "&controlHandle=" + handle +
      "&locationHandle=" + f.elements["<%=FieldUtil.formatFieldName(FinancialEffectUIDefinitionType.FIELD_POINT_LOCATION)%>"].value;
   forward(path,null);
}

function selectControlInstance() {
	var f = document.forms[0];
   openModal(
      "<%=request.getContextPath()%>" 
	      + "/LinkToControlInstanceChooserQuery.do?riHandle="
	      + "&locationHandle=" + f.elements["<%=FieldUtil.formatFieldName(FinancialEffectUIDefinitionType.FIELD_POINT_LOCATION)%>"].value
	      + f.handle.value,
      "controlInstancePopup", 
      "width=680,height=480,scrollbars,resizable,status");
}

function addControlInstance() {
   var f = document.forms[0];
   var path = "/FailedControl.do?method=addFailedControlForFinancialEffect" +
      "&locationHandle=" + f.elements["<%=FieldUtil.formatFieldName(FinancialEffectUIDefinitionType.FIELD_POINT_LOCATION)%>"].value;
   forward(path,null);
}

/*
function submitToAction(action) {
  var f = document.forms[0]; 
  f.action = action;
  f.submit();
}

function go(action,extraParams) {
  var url = "<%= request.getContextPath() %>/FinancialEffect.do?method=" + action;
  if (extraParams != null) url = url + "&" + extraParams;
  submitToAction( url );
}

function forward(path, anchor) {
  path = escape(path);
  if (anchor && (anchor != "")) {
    path += "#" + anchor;
  }
  go('forward', 'path=' + path );
}
*/

function mapControlInstance(handle) {
   var f = document.forms.incidentWizardForm;
   f.action = "<%= request.getContextPath() %>/IncidentWizard.do?method=createFailedControl&controlHandle=" + handle;
   f.submit();
}
</script>

    <mon:tableComponent id="failedControl" entryName="failedControls" exportXlsUrl="<%= exportUrl %>" wizCursor="refresh" >         
      <mon:title><fmt:message key="opRiskEventForm.section.controls.txt"/></mon:title>
      <c:if test="${ not readOnly }">
          <mon:action href="javascript:addControlInstance();"><fmt:message key='incident.investigate.addFailedControl.txt' /></mon:action>
      </c:if>
      <c:if test="${not readOnly }">
      <mon:fixedColumn width="1%" before="false" title='<%= bundle.getString("application.delete.txt") %>' >
                <a href="javascript:removeFailedControl('<c:out value='${failedControl.handle}' />')" ><img 
                   src="<fmt:message   key='application.delete.image' />" border="0"
                   alt="<fmt:message   key='application.delete.tooltip.txt' />"
                   title="<fmt:message key='application.delete.tooltip.txt' />" /></a>            
      </mon:fixedColumn>
      </c:if>
      
    </mon:tableComponent>
     <c:if test="${hasInvisibleFailedControlsForEffects}">
      <mon:InfoMessage><fmt:message key="incident.hasInvisibleItems.txt" /></mon:InfoMessage>
    </c:if>