<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="com.sas.oprisk.monitor.web.opriskevent.actions.EventFormPageModel" %>

<mon:setBundle /> 
  
<html:form action="/IncidentWizard" >

   <mon:maintainWizardState/>
  
   <h2><fmt:message key="opRiskEvent.section.nonfinancialImpacts.txt"/></h2><br />
   <%    
   java.util.Locale locale = request.getLocale();
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   
    com.sas.oprisk.monitor.web.MonitorContext mc 
      		= MonitorContext.getMonitorContext(request);
    final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
      		
   %>
     
   <%-- show non-financial impacts list table --%>
   <mon:table width="75%" cellspacing="0" class="displayTable" name="requestScope.model.nonFinancialImpacts" id="id">
 	<%
       com.sas.oprisk.server.NonFinancialImpact nfi = 
         ((com.sas.oprisk.server.NonFinancialImpact)id);
	
	 
	String nfiType="";
	if (nfi != null && nfi.getNfiType(psession) != null) { 
		nfiType = nfi.getNfiType(psession)
                   .toString(request.getLocale(),psession);
	 }
      		
 	%>
      <c:if test="${!model.readOnly}" >
      <%
      if (nfi != null) { 
      %>
      <display:column>
            <a href="javascript:popupNfiAction('edit','<%= nfi.getHandleString() %>')" ><img
               src="<fmt:message   key='application.edit.image' />" border="0"
               alt="<fmt:message   key='opRiskEventForm.button.editNonFinancialImpact.txt' />"
               title="<fmt:message key='opRiskEventForm.button.editNonFinancialImpact.txt' />" /></a>
                  
            <a href="javascript:popupNfiAction('deleteOk','<%= nfi.getHandleString() %>')" ><img 
               src="<fmt:message   key='application.delete.image' />" border="0"
               alt="<fmt:message   key='opRiskEventForm.button.deleteNonFinancialImpact.txt' />"
               title="<fmt:message key='opRiskEventForm.button.deleteNonFinancialImpact.txt' />" /></a>            
            <br /> 
      </display:column>
      <% } %>
      </c:if>          

      <display:column
         title='<%= bundle.getString("nonFinancialImpact.field.impactSeverityCd.displayName.txt") %>' >
         <%= mc.getImpactSeverityDescription(nfi.getImpactSeverityCd(), request.getLocale(), psession) %>
      </display:column>
      
      <display:column title='<%= bundle.getString("nonFinancialImpact.field.impactShortDesc.displayName.txt") %>'><c:out value="${id.impactShortDesc}"/></display:column>
      
      <display:column title='<%= bundle.getString("nonFinancialImpact.field.nfiType.displayName.txt") %>'
	      ><%=nfiType%></display:column>
      
   </mon:table>
   
   <br/>
   
   <%--
   <input name="nonFinancialImpacts" type="button"  
     class="button"
     onmouseover="this.className='button buttonRollover'"
     onmouseout="this.className='button'"
     value="<fmt:message key='opRiskEventEdit.action.addNonFinancialImpact.txt' />" 
     onclick="popupNfiAction('add','')" /> 
   --%>     

</html:form>
     