<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />

<%-- ****************************************************************** --%>
<%-- InsurancePolicySelect.jsp --%>
<%-- ****************************************************************** --%>

<script type="text/javascript">

function editPolicy( handle ) {

	document.forms.insurancePolicyForm.action = 
		"<%= request.getContextPath()+'/' %>"
        + "InsurancePolicyEdit.do?handle=" + handle;
    document.forms.insurancePolicyForm.submit();
}

function deletePolicy( handle ) {

	document.forms.insurancePolicyForm.action = 
		"<%= request.getContextPath()+'/' %>"
        + "InsurancePolicyDelete.do?handle=" + handle;
    document.forms.insurancePolicyForm.submit();
    
}

function performAction( actionName ) {
	document.forms.insurancePolicyForm.action = 
		"<%= request.getContextPath()+'/' %>"
        + actionName + ".do?handle=" + document.forms.insurancePolicyForm.handle.value;
    document.forms.insurancePolicyForm.submit();
}

</script>

<html:form action="/InsurancePolicyCreate">
   <html:hidden property="handle" />

<%    
     java.util.Locale locale = request.getLocale();
     java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
%>
<h2><fmt:message key="insurancePolicyQuery.title" /></h2>
<br />
   <mon:table width="75%" cellspacing="0" class="displayTable" name="insurancePolicies" id="insurancePolicy">
<%
    com.sas.oprisk.server.InsurancePolicy c = ((com.sas.oprisk.server.InsurancePolicy)insurancePolicy);
	if (c != null) {
%>
      <display:column width='40'>
      
	   <c:if test="${canUpdate}">
		  <a href="javascript:editPolicy('<%=c.getHandleString()%>')">
	         <img border="0" src="<fmt:message key='application.edit.image' />"  
	         alt="<fmt:message key='application.edit.tooltip.txt'/>" 
	         title="<fmt:message key='application.edit.tooltip.txt'/>"/></a>      
		  <a href="javascript:deletePolicy('<%=c.getHandleString()%>')">
	         <img border="0" src="<fmt:message key='application.delete.image' />"  
	         alt="<fmt:message key='application.delete.tooltip.txt'/>" 
	         title="<fmt:message key='application.delete.tooltip.txt'/>"/></a>
	   </c:if>
	   <c:if test="${!canUpdate}">
		  <a href="javascript:editPolicy('<%=c.getHandleString()%>')">
	         <img border="0" src="<fmt:message key='application.viewdata.image' />"  
	         alt="<fmt:message key='application.view.tooltip.txt'/>" 
	         title="<fmt:message key='application.view.tooltip.txt'/>"/></a>      
	   </c:if>
      
      </display:column>
<%	}  %>

      <display:column title='<%= bundle.getString("insurancePolicy.field.policyNo.displayName.txt") %>'><c:out value="${insurancePolicy.policyNo}"/></display:column>
      <display:column title='<%= bundle.getString("insurancePolicy.field.policyShortDesc.displayName.txt") %>'><c:out value="${insurancePolicy.policyShortDesc}"/></display:column>
   </mon:table>
   <br/>
   <c:if test="${canUpdate}">
	   <input type="button" class="button"
				onmouseover="this.className='button buttonRollover'"
				onmouseout="this.className='button'"
				value="<fmt:message key="application.add.txt"/>" 
				onclick="this.form.submit();"/>
   </c:if>

</html:form>

