<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="java.io.*" %>
<%@ page import="com.sas.oprisk.monitor.web.*" %>
<%@ page import="com.sas.oprisk.monitor.web.utils.*" %>
<mon:setBundle />
<%
   MonitorSession monitorSession = MonitorSession.getMonitorSession(request, false);
   PersistenceUser user = (monitorSession == null) ? null : monitorSession.getUser();
   LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
%>
<div id="banner" class="banner_container">
   
  <tiles:useAttribute name="ignoreNavigationBar" ignore="true"/>
  
  <c:if test="${ignoreNavigationBar!='true'}">
  <div class="banner_utilitybar_overlay">&nbsp;</div>
  <table class="banner_utilitybar" border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr><%-- insert a TD with a one-pixel navigation link --%>
         <td class="bannerSkipNav"><a href="#mainContentArea"><img src="<%=request.getContextPath()%>/images/spacer.gif"
             width="1" height="1" border="0"
             class="skipnav"
             alt="<%=com.sas.servlet.tbeans.html.RB.getStringResource(
                        "Banner.alt.skip.txt",
                        request.getLocale())%>" /></a></td>
<%
   if ((monitorSession != null) && monitorSession.isFromPortal()) {
%>                        
        <td class="banner_utilitybar_navigation" width="40%" align="<%=layoutDirection.getLeft()%>">
            &nbsp;  <a id="backToPortal" href="Portal" target="_top" title="<fmt:message key="application.backToPortal.txt"/>" tabindex=2><sas:ThemedImage image="Banner_backArrow" /> <fmt:message key="application.backToPortal.title"/></a>
      </td>
   
<%
   }
   if (user != null)
   {
      String userId = user.getUserId();
      String displayName = user.getDisplayNm(request.getLocale());
%>                   
         <td align="<%=layoutDirection.getRight()%>">
            <span id="globlMenuBar" class="SimpleMenuBar SimpleMenuBar_Banner_GlobalMenu_Look">
            <table border="0" cellpadding="0" cellspacing="0">
               <tr>
                  <td class="SimpleMenuBarItem SimpleMenuBarItem_Banner_GlobalMenu_Look">
                     <a href="<%= RequestUtilities.getLogoffURL(request) %>"
                        title="<fmt:message key="logout.tooltip.userID.txt"/>:&nbsp;<%= StringUtil.escapeHTML(userId) %>">
                        <fmt:message key="logout.title"/>&nbsp;&nbsp;<%= StringUtil.escapeHTML(displayName) %>
                     </a>
                  </td>
                  <td>
                     <span class="SimpleMenuBarSeparator SimpleMenuBarSeparator_Banner_GlobalMenu_Look">|</span>
                     &nbsp;
                  </td>
                  <td class="SimpleMenuBarItem SimpleMenuBarItem_Banner_GlobalMenu_Look">
                     <tiles:insert attribute="preferences" ignore="true" />
                  </td>
                  <td>
                     <span class="SimpleMenuBarSeparator SimpleMenuBarSeparator_Banner_GlobalMenu_Look">|</span>
                     &nbsp;
                  </td>
                  <td class="SimpleMenuBarItem SimpleMenuBarItem_Banner_GlobalMenu_Look">
                     <tiles:insert attribute="help-menu" ignore="true" />
                     &nbsp;
                  </td>
               </tr>
            </table>
            </span>
         </td>
<%
   }
%>
      </tr>
   </table>
  </c:if>
   <tiles:insert attribute="masthead" ignore="true" />
<%
   if (user != null)
   {
%>
   <tiles:insert attribute="menu" ignore="true" />
<%
   }
%>
</div>