<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="org.apache.struts.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.actions.GlobalSearchModel" %>
<%@ page import="com.sas.oprisk.server.dimensions.Dimensionality" %>
<%@ page import="com.sas.oprisk.monitor.web.utils.*" %>
<%@ page import="com.sas.framework.themes.client.Image" %>
<mon:setBundle />
<%
   MonitorSession monitorSession = MonitorSession.getMonitorSession(request, false);
   PersistenceUser user = (monitorSession == null) ? null : monitorSession.getUser();
   LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
   
   String displayTitle = (String)pageContext.findAttribute("displayTitle");
   request.setAttribute("dimConfigInitialized", new Boolean(Dimensionality.isConfigInitialized()));
   pageContext.setAttribute("user", user);
   if (user != null)
   {
%>

<c:if test="${hasMenu && dimConfigInitialized}">
<%
   request.setAttribute("gsModel", new GlobalSearchModel(request));
%>
<script type="text/javascript">
   
   function doGlobalSearch() {
      var f = document.forms.globalSearchForm;
      f.searchKey.value  = document.getElementById("gsSearchKey").value;
      f.searchType.value = document.getElementById("gsSearchType").value;
      f.submit();
   }

   function setGlobalSearchPrompt() {
      var globalSearchKeyPrompt = "<fmt:message key="application.objectId.txt" />";
      var promptField = document.getElementById("gsSearchKey");
      if(promptField.value == globalSearchKeyPrompt) promptField.value = "";   
      else if(promptField.value == "") promptField.value = globalSearchKeyPrompt;   
   }

   hideWindowedElements = hideGlobalSearch         
   function hideGlobalSearch(elementId) {
      var agt = navigator.userAgent.toLowerCase();
      var isIE = (agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1);
      if(isIE && (elementId == "helpMenu")) {
         var searchTypeElement = document.getElementById("gsSearchType");
         searchTypeElement.style.display='none';
      }
	  return;
   }

   revealWindowedElements = revealGlobalSearch
   function revealGlobalSearch(element) {
      var searchTypeElement = document.getElementById("gsSearchType");
      searchTypeElement.style.display='';
	  return;
   }

</script>
</c:if>
<%
   }
   
   Image logoImage = ThemedImage.LOGO.getImage(request);
%>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
   <tr>
      <td id="bantitle" width="100%" style="padding-top: 4px;"> 
         
         <c:choose>
            <c:when test="${wizardLayout}">
               <c:choose>
                  <c:when test="${empty subtitle}">
                     <c:out value="${displayTitle}" />
                  </c:when>
                  <c:otherwise>
                     <fmt:message key="${subtitle}"/>
                  </c:otherwise>
               </c:choose>
            </c:when>
            <c:when test="${not empty displayTitle}">
               <fmt:message key="application.title.txt" />
               &bull; <c:out value="${displayTitle}" />
            </c:when>
            <c:otherwise>
               <fmt:message key="application.title.txt" />
            </c:otherwise>
         </c:choose>
         <c:if test="${not empty editObjectName}">
               &bull; <c:out value="${editObjectName}" />
         </c:if>
      </td>
      <td align="<%=layoutDirection.getRight()%>" style="padding-top: 4px;">
         <c:choose>
            <c:when test="${dimConfigInitialized and (not empty user) and hasMenu}">
               <table width="100%" align="<%=layoutDirection.getRight()%>" id="globalSearch">
                  <tr>
                     <td>
                      <input name="gsSearchKey" type="text" size="8" class="globalSearchField" id="gsSearchKey" 
                           value="<fmt:message key="application.objectId.txt" />" 
                           onclick="setGlobalSearchPrompt()" 
                           onblur="setGlobalSearchPrompt()"
                        />
                     </td>
                     <td>
					    <select name="gsSearchType" class="globalSearchSelect" id="gsSearchType">
                            <c:forEach var="searchType" items="${gsModel.searchTypes}" >
                              <option value="<c:out value='${searchType.value}' />"
                                 <c:if test="${gsModel.searchType == searchType.value}" >selected</c:if>
                              >
                                 <c:out value='${searchType.label}' />
                              </option>
                            </c:forEach>
                        </select>
                     </td>
                     <td style="padding-<%=layoutDirection.getRight()%>: 25px;">
                        <input type="button" class="button globalSearch"
                           onmouseover="this.className='button buttonHover globalSearch'"
                           onmouseout="this.className='button globalSearch'"
                           value="<fmt:message key='application.globalSearchButton.txt' />" 
                           onclick="javascript:doGlobalSearch()" 
                        />
                     </td>
                     <td>
                        <img border="0"   
                             src="<%=logoImage.getFile()%>"
                             width="<%=logoImage.getWidth()%>"
                             height="<%=logoImage.getHeight()%>"
                             alt="<fmt:message key='application.companyLogo.tooltip.txt'/>" 
                             title="<fmt:message key='application.companyLogo.tooltip.txt'/>" />
                     </td>
                  </tr>
               </table>
            </c:when>
            <c:otherwise>
               <img border="0"   
                    src="<%=logoImage.getFile()%>"
                    width="<%=logoImage.getWidth()%>"
                    height="<%=logoImage.getHeight()%>"
                    alt="<fmt:message key='application.companyLogo.tooltip.txt'/>" 
                    title="<fmt:message key='application.companyLogo.tooltip.txt'/>" />
            </c:otherwise>
         </c:choose>
      </td>
   </tr>
</table>
