<%@ page import="com.sas.oprisk.monitor.web.utils.*" %>
<%@ include file="/tiles/taglibs.jsp" %>
<%
   LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
%>
<mon:setBundle />
<script type="text/javascript">
var Messages = {
   focusErrors: function()
   {
      window.location = "#errorsOnPage";
   }
};
</script>
<%
   if (com.sas.oprisk.server.ConfigDataProperties.isEnabled("monitor.showBreadcrumbs")) {
      StringBuffer sb = new StringBuffer();
      MonitorSession ms = MonitorSession.getMonitorSession(request);
      java.util.List breadcrumbs = ms.getBreadcrumbs();
      for (int i = 0; i < breadcrumbs.size(); i++) {
         com.sas.oprisk.monitor.web.utils.Breadcrumb bc = 
            (com.sas.oprisk.monitor.web.utils.Breadcrumb)breadcrumbs.get(i);
         if (i > 0) {
            sb.append("&nbsp;&gt;&nbsp;");
         }
         sb.append(bc.getGlobalForward() == null ? bc.getForward().getPath() : bc.getGlobalForward());
      }
%>
<div style="width:100%; font-weight:bold; font-size:9pt; border-top:1px solid #999; border-bottom:1px solid #999; background:#eee">
  <%= sb %></div>
<br />
<% 
   }
%>

<logic:messagesPresent>
   <c:set var="hasErrors" value="true" />
   <script type="text/javascript">
   if (Event !== undefined)
   {
	   Event.observe(window, "load", Messages.focusErrors);
   }
   </script>
</logic:messagesPresent>
<c:if test="${not empty warningMsgs}"><c:set var="hasWarnings" value="true" /></c:if>
<logic:messagesPresent message="true"><c:set var="hasMessages" value="true" /></logic:messagesPresent>
      <a name="errorsOnPage"></a>
      <div>
         <div class="errors" id="errors" <c:if test="${!hasErrors}">style="display:none"</c:if>>
         <table border="0" width="100%" cellspacing="0" cellpadding="2px">
         <tr><td valign="top" align="<%= layoutDirection.getLeft() %>">
            <img border="0" src="<fmt:message key='application.errorLarge.image'/>"
                 alt="<fmt:message key='application.error.txt'/>"
                 title="<fmt:message key='application.error.txt'/>"
                 align="absmiddle"/>
            <b><fmt:message key="application.error.txt" /></b>
	        </td>
            <td align="<%= layoutDirection.getRight() %>">
	            <a href="#" onclick="setVisible('errors', false);"
	            	><img border="0" src="<fmt:message key='application.close.image'/>" 
	                 alt="<fmt:message key="application.closeMessage.tooltip.txt" />" 
	                 title="<fmt:message key="application.closeMessage.tooltip.txt" />" /></a>
         	</td>
         </tr>
         <tr><td colspan="2" align="<%= layoutDirection.getLeft() %>" id="errors-content">
	            <html:messages id="error">
<%
   String msg = (String)pageContext.findAttribute("error");
   out.print(HTMLUtils.replaceNewLinesAndTabs(StringUtil.escapeMessagesHTML(msg)));
%><br/>
	            </html:messages>
         </td></tr>
         <!--  special section for DWR messages -->
         <tr><td colspan="2" align="<%= layoutDirection.getLeft() %>" id="dyna-errors-content"></td></tr>
         </table>
         </div>
      </div>      
      
      <div>
         <div class="warnings" id="warnings" <c:if test="${!hasWarnings}">style="display:none"</c:if>>
         <table border="0" width="100%" cellspacing="0" cellpadding="2px">
	         <tr><td valign="top" align="<%= layoutDirection.getLeft() %>">
	            <img border="0" src="<fmt:message key='application.warningLarge.image'/>"
                    alt="<fmt:message key='application.warning.txt'/>"
                    title="<fmt:message key='application.warning.txt'/>"
	                 align="absmiddle"/>
	            <b><fmt:message key="application.warning.txt" /></b>
	            </td>
	            <td align="<%= layoutDirection.getRight() %>">
	            <a href="#" onclick="setVisible('warnings', false);"
		            	><img border="0" src="<fmt:message key='application.close.image'/>" 
		                 alt="<fmt:message key="application.closeMessage.tooltip.txt" />" 
		                 title="<fmt:message key="application.closeMessage.tooltip.txt" />" /></a>
					</td>
	         </tr>
	         <tr><td colspan="2" align="<%= layoutDirection.getLeft() %>" id="warnings-content">
	            <html:messages id="message" name="warningMsgs">
	               <%= StringUtil.escapeMessagesHTML(message) %><br/>
	            </html:messages>
	         </td></tr>
            <!--  special section for DWR messages -->
            <tr><td colspan="2" align="<%= layoutDirection.getLeft() %>" id="dyna-warnings-content"></td></tr>
         </table>
         </div>
      </div>
      
      <div>
         <div class="messages" id="messages" <c:if test="${!hasMessages}">style="display:none"</c:if>>
         <table border="0" width="100%" cellspacing="0" cellpadding="2px">
	         <tr><td valign="top" align="<%= layoutDirection.getLeft() %>">
	            <img border="0" src="<fmt:message key='application.informLarge.image'/>"
                    alt="<fmt:message key='application.information.txt'/>"
                    title="<fmt:message key='application.information.txt'/>"
	                 align="absmiddle"/>
	            <b><fmt:message key="application.information.txt" /></b>
	            </td>
	            <td align="<%= layoutDirection.getRight() %>">
	            <a href="#" onclick="setVisible('messages', false);"
		            	><img border="0" src="<fmt:message key='application.close.image'/>" 
		                 alt="<fmt:message key="application.closeMessage.tooltip.txt" />" 
		                 title="<fmt:message key="application.closeMessage.tooltip.txt" />" /></a>
					</td>
	         </tr>
	         <tr><td colspan="2" align="<%= layoutDirection.getLeft() %>" id="messages-content">
	            <html:messages id="message" message="true">
	               <%= StringUtil.escapeMessagesHTML(message) %><br/>
	            </html:messages>
	         </td></tr>
            <%--  No special section for DWR messages. 
            <tr><td colspan="2" align="<%= layoutDirection.getLeft() %>" id="dyna-messages-content"></td></tr>
            --%>
         </table>
         </div>
      </div>
