<%@ include file="/tiles/taglibs.jsp" %>

<%
    java.util.Locale locale = request.getLocale();
    java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
    final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
    final User currentUser = (User) psession.getUser();

	String action = (String)request.getAttribute("action");
	if (action == null) {
		action = "/UserQuery";
	}
	
	String actions = "";

    if(!("true".equals(request.getAttribute("showCancel")))) {

        if (User.object.can(Do.CREATE, psession)) {
      
           actions = "<a href='" + request.getContextPath() + "/UserEdit.do?method=create'>"
              + bundle.getString("user.button.create.txt") + "</a>";

        }
    }

%>

<mon:Page template="popup">
   <mon:Head>
      
   </mon:Head>
   <mon:Body>      
      <html:form action="<%= action %>">      
         
         <mon:Content>
           <input type="hidden" name="area" value="<c:out value='${param.area}' />" />

            <%
               java.util.List extraParams = (java.util.List) request.getAttribute("extraParams");
               if (extraParams != null) {
                  for(int i=0;i<extraParams.size();i++) {
                     String value = request.getParameter(extraParams.get(i).toString());
                     if (value == null)
                        value = (String) request.getAttribute(extraParams.get(i).toString());
            %>             
            <input type="hidden" name="<%= extraParams.get(i) %>" value="<%= StringUtil.escapeHTML(value) %>" />
            <%
                  }
               }
            %>
            
            <mon:TableSetup />
            
            <script type="text/javascript">
            
            function popup_userSelected(user) {
               if (window.opener && !window.opener.closed) {
                  if (window.opener.userSelected) {
                     window.opener.userSelected(user);
                  } else {
                     alert("debug: opener.userSelected method not found.");
                  }
               }
            }
            
            var tc = new TableComponent(null, false, 0, 0, "<%= StringUtil.escapeJSForHTML(actions) %>");
            </script>                       
         </mon:Content>
         
         <mon:PopupButtonBar>
             <c:if test="${showCancel}">
               <mon:Button name="done" onclick="tc.doDone()">
                  <fmt:message key='application.cancel.txt' />
               </mon:Button>                
            </c:if> 
         </mon:PopupButtonBar>   
      </html:form>      
   </mon:Body>
</mon:Page>
