<%@ page import="java.util.*"%>
<%@ page import="com.sas.oprisk.monitor.web.role.actions.*"%>

<%@ include file="/tiles/taglibs.jsp"%>

<%
   final Locale locale = request.getLocale();
   final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
%>

<mon:Page template="details">
   <mon:Head>

   </mon:Head>
   <mon:Body>
      <mon:ToolBar>
         <mon:Button name="okButton" onclick="breadcrumb()">
            <fmt:message key='application.ok.txt' />
         </mon:Button>
      </mon:ToolBar>

      <mon:Content>
         <table>
            <tr>
               <th class="fieldlabel"><fmt:message
                  key="role.displayName.txt" />:</th>
               <td class="field"><c:out value="${role}" /></td>
            </tr>
         </table>

         <mon:table width="100%" class="displayTable" cellspacing="0"
            name="positions" id="position">
            <mon:title>
               <fmt:message key="role.field.positions.displayName.txt" />
            </mon:title>

            <%
               final PositionListAction.PosWrapper pos =
                              (PositionListAction.PosWrapper) position;
            %>

            <display:column
               title='<%= bundle.getString("user.displayName.txt") %>'>
               <%= StringUtil.escapeHTML(pos.getUser()) %>
            </display:column>

            <display:column
               title='<%= bundle.getString("ora.location.txt") %>'>
               <%=pos.getArea()%>
            </display:column>
         </mon:table>

      </mon:Content>
   </mon:Body>
</mon:Page>


