<%@ include file="/tiles/taglibs.jsp" %>

<%-- ****************************************************************** --%>
<%-- UserAddPosition.jsp --%>
<%-- ****************************************************************** --%>

 <%    
   java.util.Locale locale = request.getLocale();
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   String dimAreaScopeHandle = null;
   
   Position pos = (Position)request.getAttribute("position");
   String posHandle = null;
   if(pos!=null) {
   	posHandle = pos.getHandleString();
   	dimAreaScopeHandle = pos.getLocation(psession).getHandleString();
   }
 
   java.util.List roleList = (java.util.List) request.getAttribute("roleList");
 %>
 
 <mon:Page template="details">
   <mon:Head>
      <script type="text/javascript">

      function performAction( actionName ) {
         document.getElementById("userFormEx").action = 
            "<%= request.getContextPath()+'/' %>"
              + actionName;
          document.forms.userFormEx.submit();
      }
      function formValid() {
         return document.getElementById("userFormEx").scopeHandle.value != "";         
      }
      
      function setDimAreaHandle(daHandle) {
         if (daHandle == "") {
            document.getElementById("userFormEx").addButton.disabled=true;
         }
         else {
            document.getElementById("userFormEx").addButton.disabled=false;
         }
         return true;
      }
      
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/UserAddPosition?method=save" onsubmit="return formValid()">      
         <mon:ToolBar>
            <% if (roleList.size() == 0) { %>  
                  <mon:Button name="returnButton" onclick="performAction('UserEdit.do?method=refresh')">
                     <fmt:message key='returnButton.txt' />
                  </mon:Button>
               <% } else { %>
                  <mon:Button name="addButton" onclick="submit()" disabled="true">
                     <fmt:message key='application.addPlain.txt' />
                  </mon:Button>
                  
                  <mon:Button name="cancelButton" onclick="performAction('UserEdit.do?method=refresh')">
                     <fmt:message key='cancelButton.txt' />
                  </mon:Button>
                <% } %>
         </mon:ToolBar>
         
         <mon:Content>
            <html:hidden property="handle" />
            <html:hidden property="userRk" />
            <html:hidden property="dimensionalPoint" />
            <html:hidden property="confidentialityCd" />
            <input type="hidden" name="page.title" value="<%= StringUtil.escapeHTML(request.getParameter("page.title")) %>" />
            <input type="hidden" name="positionHandle" value="<%= StringUtil.escapeHTML(posHandle) %>" />
              <% if (roleList.size() == 0) { %>                                
                  <h2><fmt:message key="user.field.displayNm.displayName.txt" />: <c:out value="${userName}" /></h2>
                  <fmt:message key="userSelectRole.prompt.noRoles.txt" />
               <% } else { %>                  
                  <h2><fmt:message key="user.displayName.txt" />: <c:out value="${userName}" /></h2>
                  <br />
                  <br />
                  <fmt:message key="userSelectRole.prompt.selectRole.txt" />&nbsp;
                  <select name="roleHandle" size="1">
                     <%
                        for(java.util.Iterator i=roleList.iterator();i.hasNext();) {
                           com.sas.oprisk.server.Role role = (com.sas.oprisk.server.Role)i.next();                              
                           %>
                           <option value="<%= StringUtil.escapeHTML(role.getHandleString()) %>" <%if(pos!= null && role.getHandle().equals(pos.getRoleHandle())){%> selected='selected' <%}%> >
                              <%= StringUtil.escapeHTML(role.getName()) %>
                           </option>
                           <%
                        }
                     %>
                  </select>
                  
                  <br />
                  <br />
                  <br />
                
                
               <mon:DimAreaChooser
                  dimensionalAreaHandle="<%=dimAreaScopeHandle%>"
                  collapsible="false"
                  property="scopeHandle" 
                  rootVisible="true"
                  feature="UserPosition"
                  selectMethod="setDimAreaHandle"
                  secureObjectClass="com.sas.oprisk.server.Position"
                  secureAction="<%= Do.CREATE.value %>"
                  everywhereAllowed="true"      
               >
               <mon:title><fmt:message key="userSelectRole.prompt.selectScope.txt" /></mon:title>
               </mon:DimAreaChooser>
            
               <% } %>               
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>