<%@ page import="com.sas.oprisk.monitor.web.tags.treechooser.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="java.util.*" %>
<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--**************************************************************************-->
<!-- Copyright (c) 2008 by SAS Institute Inc., Cary, NC, USA.                 -->
<!-- All Rights Reserved.                                                     -->
<!--**************************************************************************-->
<mon:html>
<head>

   <sas:InitializeComponents/>
   <sas:StyleSheet styleNames="SAS Style,orm,orm_IE,custom,CPB,CPBDialog,CPBSpellChecker"/>
   
   <%@ include file="/tiles/layout/styleAndScriptIncludes.jsp" %>
   <%@ include file="/tiles/layout/modalScriptIncludes.jsp" %>

<%
	final ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
	final boolean multiselect = "true".equals(request.getParameter("multiselect"));
	final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
%>
   <script type="text/javascript">
   
   // for compatibility with tree chooser
   var treeChoosersetSelectedValue = window;
   function select(methodName, id, name, path, locPath, alertFunc) {
   	selectResult(id, name, path, locPath, alertFunc);
   }
   
   function setSelectedValue_filter(showInactive) {
       parent.dimSelected();
   }
   
   function selectResult(id, name, path, locPath, alertFunc) {
   	var selHandles = new Array(id);
   	var selPaths = new Array(unescape((locPath == "") ? name : locPath));
   	var errorMsg = parent.doAddFromSearch(selHandles, selPaths);
   	if (errorMsg != null) {
   		if (typeof(alertFunc) == "undefined") {
   			alert(errorMsg);
   		} else {
   			alertFunc(errorMsg);
   		}
   	}
   }
   
   function checkClicked() {
   	parent.oraForm().addButton.disabled = 
   		!hasAnySelectedCheckboxes("nodeList", "resultHandle");
   }
   
   var searchUrl = "<c:out value="${searchUrl}" escapeXml="false" />";
   function setSelectedValue_search(params) {
      var url = searchUrl + '&winPath=' + getWindowPath()
      		+ '&showInactive=' + !(elementById("hideInactive", parent.document).checked);
      if (params) {
         url += '&' + params;
      }
      top.openModal(url, "searchTree_popup", 
         "width=750,height=500,scrollbars,resizable");
   }
   
   var paths = new Array();
   </script>
   
   <mon:include js="/script/checkboxRadioUtil.js" />
   <mon:include flush="true" />
   
</head>

<body>

<script type="text/javascript"
   src="<%= request.getContextPath() %>/script/overlib.js"></script>
<%-- div needed for overlib --%>
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>

<form name="nodeList">

<div id="content" style="padding:0px;">

<%
   String selColTitle = "<input type=\"checkbox\" name=\"selectAll\" title=\"" 
   	+ bundle.getString("application.selectAll.tooltip.txt") 
   	+ "\" onclick=\"checkClicked()\" />";
%>

<c:if test="${resultsTruncated}">
<table><tr><td><img src="<%= request.getContextPath() %>/<fmt:message key='application.informSmall.image'/>" /></td>
	<td class="infoMessage">
		<fmt:message key="ora.nodelist.truncated.fmt.txt">
			<fmt:param><%= SearchTreeAction.MAX_RESULTS %></fmt:param>
		</fmt:message>
	</td>
</tr></table>
</c:if>
<mon:table name="results" class="displayTable" id="node" cellspacing="0">
<%
   SubtreeCodec treeNode = (SubtreeCodec)node;
   if (treeNode != null) {
	   String id = treeNode.getId();
	   // double escape if it's going in an href
	   String name = treeNode.getNodeSBO().getNameWithStatus(request.getLocale());
	   String escName = ParsingUtils.escape(name);
	   String path = ParsingUtils.escape(treeNode.getAbsolutePath());
	   String locPath = com.sas.oprisk.server.util.PathUtils.formatPath(treeNode.getLocalizedPath(psession));
	   String escLocPath = ParsingUtils.escape(locPath);
%>
<%	if (multiselect) { %>
	<display:column width='1%' title="<%= selColTitle %>">
		<input type="checkbox" name="resultHandle" value="<%= id %>" onclick="checkClicked()" />
		<script type="text/javascript">paths[paths.length] = "<%= "".equals(locPath) ? escName : escLocPath %>";</script>
	</display:column>
<%	} %>

	<display:column title='<%= bundle.getString("application.name.txt") %>'>
	  <a href="#" onclick="selectResult('<%= StringUtil.escapeJSForHTMLAttribute(id) %>', '<%= escName %>', '<%= path %>', '<%= escLocPath %>')"
	  ><%= StringUtil.escapeHTML(name) %></a>
	</display:column>
	<display:column title='<%= bundle.getString("DimensionView.path.label.txt") %>'>
	  <a href="#" onclick="selectResult('<%= StringUtil.escapeJSForHTMLAttribute(id) %>', '<%= escName %>', '<%= path %>', '<%= escLocPath %>')"
	  ><%= StringUtil.escapeHTML(locPath) %></a>
	</display:column>
<%		}  %>
</mon:table>

<script type="text/javascript">
new CheckboxGroup("nodeList", "resultHandle", "selectAll");
</script>

</div>

</form>

</body>
</mon:html>