<%@ page import="com.sas.solutions.cpb.runtime.*" %><%@ 
    page import="com.sas.solutions.cpb.web.tag.field.*" %><%@ 
    page import="com.sas.solutions.cpb.screendefs.*" %><%@ 
    page import="com.sas.solutions.cpb.web.util.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.cpb.runtime.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.cpb.runtime.component.*" %><%@ 
    page import="com.sas.oprisk.server.web.cpb.runtime.*" %><%@
    page import="com.sas.oprisk.server.RatingsTemplate" %><%@
    page import="com.sas.oprisk.server.cpb.uiDefType.AssessmentUIDefinitionType"%><%@
    page import="java.util.List"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="com.sas.oprisk.server.base.BaseAssessment"%>
<%@page import="com.sas.oprisk.framework.server.util.ParsingUtils"%>
<%@page import="com.sas.solutions.cpb.constants.CPBConstants"%>
    
<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />

<%
   final UIContext uiContext = RequestUtil.getUIContext(request);
   final UIDefinitionType uiDefType = uiContext.getUIDefinitionType();
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
      
   final Field field = componentInfo.getField();
   final String fieldName = field.getName();
   final VariableDefinition fieldDef = uiDefType.getVariableDefinition(fieldName);

   final RatingsTemplate rt = (RatingsTemplate)uiContext.getValue(field);
   final Timestamp rtFrozenDttm = (Timestamp)uiContext.getValue(BaseAssessment.Fields.ratingsTemplateFrozenDttm.getName());
   
   // the template field will be read-only if the assessment has been started
   final boolean rtReadOnly = componentInfo.isReadOnly() || rtFrozenDttm != null;

   if (rtReadOnly) {
      // simply output the ratings template name
      if (rt != null) {
         out.print(StringUtil.escapeHTML(rt.getRatingsTemplateNm()));
      }
   } else {
      
      String rtName = "";
      String rtHandleStr = "";
      
      boolean hasPopulatedAssessables = false;
      if (rt != null) {
         rtName = "(" + rt.getRatingsTemplateId() + ") " + rt.getRatingsTemplateNm();
         rtHandleStr = rt.getHandleString();
         final List popAsbls = (List)uiContext.getValue(
            AssessmentUIDefinitionType.VAR_POPULATED_ASSESSABLES);
         hasPopulatedAssessables = popAsbls != null && !popAsbls.isEmpty(); 
      }
%>


<%@page import="com.sas.oprisk.monitor.web.utils.HTMLUtils"%><script type="text/javascript">
var currentTemplateInfo = null;

<%    if (rt != null) { %>
currentTemplateInfo = {
   handle: "<%= StringUtil.escapeJSForHTML(rt.getHandleString()) %>",
   name: '(<%= StringUtil.escapeJSForHTML(rt.getRatingsTemplateId()) %>) <%= StringUtil.escapeJSForHTML(rt.getName()) %>',
   riskRatingsFlg: <%= rt.getRiskRatingsFlg() %>, 
   controlRatingsFlg: <%= rt.getControlRatingsFlg() %>, 
   causeRatingsFlg: <%= rt.getCauseRatingsFlg() %>
};
<%    } %>

function chooseRatingsTemplate() {
   openModal("<%= request.getContextPath()%>/RatingsTemplateChooserQuery.do", 'rt_popup');
}

function ratingsTemplateSelected(templateInfo, sourceWindow) {
   var f = document.forms['<%= componentInfo.getFormName() %>'];

   // warn of a change in assessable type (current selections might be lost)
   if (<%= hasPopulatedAssessables %> && currentTemplateInfo != null &&
       currentTemplateInfo.riskRatingsFlg != templateInfo.riskRatingsFlg) 
   {
      var msg = unescape("<%= ParsingUtils.escape(
         CPBConstants.CPB_RUNTIME_SERVICE.getMessage(
         "AssessmentWizard.templateAssessableTypesChanged.txt", uiContext.getLocale())) %>");
      if (!sourceWindow.confirm(msg)) {
         return;
      }
   }
   
   f['<%= fieldName %>'].value = templateInfo.handle;
   f['<%= fieldName %>_name'].value = templateInfo.name;
   currentTemplateInfo = {
      handle: templateInfo.handle,
      name: templateInfo.name,
      riskRatingsFlg: templateInfo.riskRatingsFlg, 
      controlRatingsFlg: templateInfo.controlRatingsFlg, 
      causeRatingsFlg: templateInfo.causeRatingsFlg
   };

   <c:if test="${componentInfo.field.hasOnChangeActions}">
   cpb.fieldValueChanged("<c:out value='${componentInfo.field.name}' />"); // signal a change occurred
   </c:if>
}
</script>

<input type="hidden" name="<%= fieldName %>" value="<%= rtHandleStr %>" />
<input type="text" size="75" name="<%= fieldName %>_name" 
   value="<%= HTMLUtils.escapeHTML(rtName) %>" readonly="true" />

<a href="javascript:chooseRatingsTemplate()"
   ><img border="0"
      src="<fmt:message key='application.selectRatingsTemplate.image'/>"  
      alt="<fmt:message key="application.selectRatingsTemplate.tooltip.txt" />"
      title="<fmt:message key="application.selectRatingsTemplate.tooltip.txt" />" />
</a>

<% } %>
