
<%@ page import="java.util.*"%>
<%@ page import="com.sas.oprisk.monitor.web.csa.assessment.*"%>

<%@ include file="/tiles/taglibs.jsp"%>


<%
   try {
				final Locale locale = request.getLocale();
				final ResourceBundle bundle = ApplicationProperties
						.getBundle(locale);
				final AssessmentQnrMappingModel model = (AssessmentQnrMappingModel) request
						.getAttribute("model");
				final PersistenceSession psession = MonitorContext
						.getPersistenceSession(request);
				final AssessmentSupportiveQnrMapping qnrMapping = model
						.getQnrMapping(request, psession);
				final String respString = request
						.getParameter("respondentString");
				request.setAttribute("respondents",
						model.getRespondentsAsUsers(psession));
				final AssessmentQnrMappingForm form = (AssessmentQnrMappingForm) request
						.getAttribute("questionnaireMappingForm");
				final boolean qnrReadOnly = Boolean.FALSE
						.equals(form.isFresh());
				final boolean planningQnr = model.isPlanningQnr(request,
						psession);

				final String assessmentHandle = request
						.getParameter("assessment");
				final String qnrHandle = request.getParameter("qnrHandle");
				final String exportUrl = request.getContextPath()
						+ "/AssessmentQnrRespondentsQuery.do?"
						+ "assessment=" + StringUtil.encodeURLValue(assessmentHandle) 
						+ "&qnrHandle=" + StringUtil.encodeURLValue(qnrHandle)
						+ "&entryId=respondents";

				final UIContext uiContext = UIContextUtil
						.getUIContextIfExists(request);
				final String action = (uiContext == null)
						? "/AddQuestionnaire"
						: "/AssessmentSupportiveQnr";
%>


<%@page import="com.sas.solutions.cpb.web.util.CPBWebConstants"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.util.UIContextUtil"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>

<mon:Page template="details">
   <mon:Head>
      <script type="text/javascript">
      function monitorInit() {
         initNSMenu();
      }
      
      function addPlanningQnr() {
         // first open a modal window with a blank page in it
         openModal("<%=request.getContextPath()%>/blank.html",
             "planning_qnr_popup", "width=950,height=750,scrollbars,resizable");
         
         // then submit the form into the open window
         var f = document.forms.questionnaireMappingForm;
         var oldAction = f.action; // remember the old one
         f.action = "<%=request.getContextPath()%>/PlanningQnrSelectorQuery.do";
         f.TCArea.value = f.location.value;
         f.target = "planning_qnr_popup";
         f.submit();
         
         // put it back the way it was
         f.action = oldAction;
         f.target = "";
      }
      
      function addScopingQnr() {
         // first open a modal window with a blank page in it
         openModal("<%=request.getContextPath()%>/blank.html",
             "scoping_qnr_popup", "width=950,height=750,scrollbars,resizable");
         
         // then submit the form into the open window
         var f = document.forms.questionnaireMappingForm;
         var oldAction = f.action; // remember the old one
         f.action = "<%=request.getContextPath()%>/ScopingQnrSelectorQuery.do";
         f.TCArea.value = f.location.value;
         f.target = "scoping_qnr_popup";
         f.submit();
         
         // put it back the way it was
         f.action = oldAction;
         f.target = "";
      }
      
      function addRespondent() {
         openModal("<%=request.getContextPath()%>/UserQueryForQnrRespondent.do",
            "qnr_respondents_popup", "width=950,height=750,scrollbars,resizable");
      }
      
      function removeRespondent(user) {
         document.forms.questionnaireMappingForm.action = 
               "<%=request.getContextPath()%>/AddQuestionnaire.do?method=removeRespondent&respondent=" + user;
         document.forms.questionnaireMappingForm.submit();
      }
      
      function userSelected(user) {
         document.forms.questionnaireMappingForm.action = 
               "<%=request.getContextPath()%>/AddQuestionnaire.do?method=addRespondent&respondent=" + user;
         var users = document.forms.questionnaireMappingForm.respondentString.value;
         if (users == "") {
            users=user;
         }
         else {
            users=users + "," + user;
         }
         
         document.forms.questionnaireMappingForm.respondentString.value=users;
         document.forms.questionnaireMappingForm.submit();
      }
      
      function qnrSelected(qnr) {
         document.forms.questionnaireMappingForm.action = 
               "<%=request.getContextPath()%>/AddQuestionnaire.do?method=addQuestionnaire&qnr=" + qnr;
         document.forms.questionnaireMappingForm.submit();
      }
      
      function save() {
         var action = "<%=(uiContext == null)
								? "SaveQuestionnaireMapping.do"
								: "SaveAssessmentSupportiveQnr.do?method=save"%>"; 
         document.forms.questionnaireMappingForm.action = "<%=request.getContextPath()%>/" + action;
            
         document.forms.questionnaireMappingForm.submit();
      }
      
      function cancel() {
         document.forms.questionnaireMappingForm.action = 
               "<%=request.getContextPath() + action%>.do?method=cancel";
         document.forms.questionnaireMappingForm.submit();
      }
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="<%= action %>">
         <mon:ToolBar>
            <c:if test="${!readOnly}">
               <mon:Button name="saveButton" onclick="lock(this);save();">
                  <fmt:message key='okButton.txt' />
               </mon:Button>
               <mon:Button name="cancelButton" onclick="cancel();">
                  <fmt:message key='application.button.cancel.txt' />
               </mon:Button>
            </c:if> 
            <c:if test="${readOnly}">
               <mon:Button name="returnButton" onclick="cancel()">
                  <fmt:message key='returnButton.txt' />
               </mon:Button>
            </c:if>
         </mon:ToolBar>

         <mon:Content>
            <input type="hidden" name="qnrHandle"
               value="<c:out value="${param.qnrHandle}" />"></input>
            <html:hidden property="handle" />
            <html:hidden property="assessmentXSupportiveQnrRk" />
            <html:hidden property="assessment" />
            <html:hidden property="qnrDefinedDttm" />
            <html:hidden property="qnrStatusCd" />
            <html:hidden property="planningAndScopingCd" />
            <html:hidden property="supportiveQuestionnaire" />
            <html:hidden property="respondentString" />
            <html:hidden property="location" />
            <html:hidden property="fresh" />
            <input type="hidden" name="TCArea" />

            <%
               if (StringUtils
            										.isNotEmpty(request
            												.getParameter(CPBWebConstants.PARAM_UI_CONTEXT_ID))) {
            %>
            <input type="hidden"
               name="<%=CPBWebConstants.PARAM_UI_CONTEXT_ID%>"
               value="<%=request
											.getParameter(CPBWebConstants.PARAM_UI_CONTEXT_ID)%>" />
            <%
               }
            %>

            <%
               if (StringUtils
            										.isNotEmpty(request
            												.getParameter(CPBWebConstants.PARAM_FIELD_NAME))) {
            %>
            <input type="hidden"
               name="<%=CPBWebConstants.PARAM_FIELD_NAME%>"
               value="<%=request
											.getParameter(CPBWebConstants.PARAM_FIELD_NAME)%>" />
            <%
               }
            %>

            <%
               final String[] selectedPlanningQnrRks = model
            										.getSelectedPlanningQnrRks();
            								for (int i = 0; i < selectedPlanningQnrRks.length; i++) {
            %>
            <input type="hidden" name="selectedPlanningQnrRks"
               value="<%=selectedPlanningQnrRks[i]%>" />
            <%
               }
            %>

            <%
               final String[] selectedScopingQnrRks = model
            										.getSelectedScopingQnrRks();
            								for (int i = 0; i < selectedScopingQnrRks.length; i++) {
            %>
            <input type="hidden" name="selectedScopingQnrRks"
               value="<%=selectedScopingQnrRks[i]%>" />
            <%
               }
            %>

            <table width="100%">
               <tr>
                  <td style="white-space: nowrap; vertical-align: top;"><mon:label
                     property="supportiveQuestionnaire"
                     key="AssessmentQnrMapping.questionnaire.txt"
                     separatorVisible="true" /></td>
                  <td width="100%"><mon:text
                     property="questionnaireName" style="width:20%"
                     readonly="true" /> &nbsp; <%
    if (!qnrReadOnly) {

 									if (planningQnr) {
 %> <a href="javascript:addPlanningQnr()"> <%
    } else {
 %> <a href="javascript:addScopingQnr()"> <%
    }
 %> <img border="0"
                     src="<%=request.getContextPath()%>/<fmt:message key='Assessments.viewQuestionnaires.image'/>"
                     alt="<fmt:message key='application.selectQuestionnaire.tooltip.txt'/>"
                     title="<fmt:message key='application.selectQuestionnaire.tooltip.txt'/>" />
                  </a> <%
    }
 %>
                  </td>
               </tr>
            </table>

            <br />

            <input type="hidden" name="assessment"
               value="<%=StringUtil.escapeHTML(assessmentHandle)%>" />
            <input type="hidden" name="qnrHandle" value="<%=StringUtil.escapeHTML(qnrHandle)%>" />
            <mon:tableComponent
               entryName="respondents" id="user"
               exportXlsUrl="<%= exportUrl %>" wizCursor="refresh">
               <mon:title required="true"><%=bundle
												.getString("AssessmentQnrMapping.respondents.title")%></mon:title>
               <c:if test="${ !readOnly }">
                  <mon:action href="javascript:addRespondent();">
                     <fmt:message
                        key='AssessmentQnrMapping.respondents.addRespondents.txt' />
                  </mon:action>
               </c:if>

               <c:if test="${not readOnly}">
                  <mon:fixedColumn before="false" width='1%'
                     title='<%= bundle.getString("application.remove.txt") %>'>
                     <a
                        href="javascript:removeRespondent('<c:out value="${user.handleString}" />')"><img
                        border="0"
                        src="<fmt:message key='application.remove.image' />"
                        alt="<fmt:message key='application.remove.txt'/>"
                        title="<fmt:message key='application.remove.txt'/>" /></a>
                  </mon:fixedColumn>
               </c:if>
            </mon:tableComponent>            
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>

<%
   } catch (Exception e) {
				e.printStackTrace();
			}
%>
