<%@page import="com.sas.oprisk.framework.server.util.*" %>
<%@page import="com.sas.oprisk.server.ApplicationProperties"%>
<%@page import="java.util.*"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.oprisk.server.logical.DimensionalAreaHandle"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.AssessmentUIDefinitionType"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.assessment.PopAsblTableComponent"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.*"%>
<%@page import="com.sas.oprisk.server.logical.DimensionalArea"%>
<%@page import="com.sas.solutions.cpb.web.runtime.ScreenRenderer"%>
<%@page import="com.sas.oprisk.monitor.web.table.*"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.BaseAssessmentUIDefinitionType"%>

<%@ include file="/tiles/taglibs.jsp" %>



<%@page import="com.sas.solutions.cpb.web.util.CPBWebConstants"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.AssessmentAssessableEntry"%>
<%@page import="com.sas.oprisk.server.logical.InstanceAnswerContainer"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.ratingsSummary.RatingsSummaryAction"%><mon:setBundle />
<%
   final ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);

   final UIContext uiContext = RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   final String fieldName = componentInfo.getField().getName();
   
   final AssessmentAnswerSheet sheet = (AssessmentAnswerSheet)uiContext.getValue(
      MonitorUIContext.DefaultField.BUSINESS_OBJECT.getName());
   
   final PopAsblTableComponent patc = (PopAsblTableComponent)componentInfo.getComponent(); 
   final AssessableTypeCd asblTypeCd = patc.getAssessableTypeCd();
   final String asblType = asblTypeCd.getValue();
   
   String selectAsblAction = null;
   String selectAsblKey = null;
   String createAsblKey = null;
   String editAsblMethod = null;
   boolean canCreateAsbls = false;
   
   // === begin differences in assessable types
   if (AssessableTypeCd.risk.equals(asblTypeCd)) {
      selectAsblAction = "PopulatedRiskChooser";
      selectAsblKey = "AssessmentWizard.scoping.button.addRisk.txt";
      createAsblKey = "AssessmentWizard.scoping.button.createRisk.txt";
      editAsblMethod = "editRisk";
      
      // TODO: what if assessor can create assessables under the sheet area (not just at)?
      canCreateAsbls = sheet == null ? true : RiskInstance.object.can(Do.CREATE, sheet.getLocation(psession), psession);
   } else if (AssessableTypeCd.control.equals(asblTypeCd)) {
      selectAsblAction = "PopulatedControlChooser";
      selectAsblKey = "AssessmentWizard.scoping.button.addControl.txt";
      createAsblKey = "AssessmentWizard.scoping.button.createControl.txt";
      editAsblMethod = "editControl";
      
      // controls don't have to be created at the same location as the sheet
      canCreateAsbls = ControlInstance.object.canSomewhere(Do.CREATE, psession);
   }
   final String selectAsbl = bundle.getString(selectAsblKey);
   final String createAsbl = bundle.getString(createAsblKey);
   
   final Map formatters = new HashMap();
   formatters.put("overallRiskRating", new RiskRatingCellFormatter(MonitorRequest.getMonitorContext(request)));
%>   

<mon:tableComponent entryName="<%= patc.getTableEntryId() %>" id="assessable" columnFormatters="<%= formatters %>" >
   <mon:title>[not used]</mon:title>
   
   <c:if test="${!componentInfo.readOnly}" >
      <mon:action href='javascript:selectAssessable()'><%=selectAsbl%></mon:action>
      <%
         if (canCreateAsbls) {
      %> 
         <mon:action href='javascript:createAssessable()'><%=createAsbl%></mon:action>
      <%
         }
      %> 
   </c:if>
   
   <%
         final AssessmentAssessableEntry asblEntry = (AssessmentAssessableEntry)pageContext.getAttribute("assessable");
            final String asblStatusCd = asblEntry == null ? "" : asblEntry.getPopulatedAssessableStatusCd().value;
      %>
   
   <c:if test="${rsumModel.editingAsblsAllowed && !componentInfo.readOnly }" >
      <mon:fixedColumn title='<%= bundle.getString("displayTable.actions.txt") %>' width="1%" >
         &nbsp;<a href="#" onclick='return showContextMenu("<%= asblEntry.getHandle() %>", "<%= asblEntry.getAssessableHandle() %>", "<%= asblStatusCd %>")'
            ><img border="0"
                src="<%= request.getContextPath() %>/<fmt:message key='application.showActionsButton.row.image'/>" 
               alt="<fmt:message key='application.rowActions.tooltip.txt'/>"
               title="<fmt:message key='application.rowActions.tooltip.txt'/>"
         /></a>&nbsp;
      </mon:fixedColumn>
   </c:if>
   
   <c:if test="${!rsumModel.riskRatingEnabled && not empty rsumModel.fixedMeasures && not empty assessable}" >
<%
      final PrimaryBusinessObject assessable = (PrimaryBusinessObject)asblEntry.getBusinessObject();
      final InstanceAnswerContainer iac = assessable == null ? null 
         : sheet.getAnswersFor(assessable.getTaggedPointerHandle(), psession);
%>
      <c:forEach items="${rsumModel.fixedMeasures}" var="measure" varStatus="status">
<%
         final ResponseScaleType measure = (ResponseScaleType)pageContext.findAttribute("measure");
%>
         <mon:fixedColumn title='<%= StringUtil.escapeHTML(measure.getName(psession)) %>' before='false' cssClass='fcn'>
<%
            final AssessmentAnswer answer = iac == null ? null : iac.getAnswerForResponseScaleType(measure.getHandle(), psession);
            if (answer != null) {
               out.println(MeasureScoreCellFormatter.formatScore(
                  answer.getScore(), 
                  answer.getScoreCurrCd(), 
                  answer.getResponseScale(iac.getPointInTime(), psession),
                  iac.getPointInTime(), 
                  psession));
            }
%>
         </mon:fixedColumn>
      </c:forEach>
   </c:if>
</mon:tableComponent>

<c:if test="${PATA_hasInvisibleAssessables}">
   <span class="infoMessage"><img align="absmiddle" src="<%= request.getContextPath() %>/images/MessageInform_16.gif">
   <fmt:message key="Assessment.hasInvisibleAssessables.txt" /></span><br/>
</c:if>
