<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.*" %>
<%
   java.util.Locale locale = request.getLocale();  
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   
   ControlAssertionContainer container = (ControlAssertionContainer)
      request.getAttribute(ControlAssertionContainer.ATTRIBUTE_KEY);
   
   boolean readOnly = container.isReadOnly();
   PersistenceSession psession = container.getPersistenceSession();
   List controlAssertionList = readOnly ? container.getSelectedControlAssertionList() :
                                          container.getEntireControlAssertionList();
   
   Iterator iter = controlAssertionList.iterator();
   
   while(iter.hasNext())
   {
      ControlAssertion controlAssertion = (ControlAssertion)iter.next();
      
      if (readOnly)
      {
%>
   <div style="margin-top: .25em;"><%= StringUtil.escapeHTML(controlAssertion.getName(locale, psession)) %></div>
<%
      }
      else
      {
         boolean checked = container.isControlAssertionSelected(controlAssertion);
         boolean disabled = container.shouldInheritControlAssertions();
         String controlAssertionHandle = controlAssertion.getHandleString();
         String id = "controlAssertion" + controlAssertionHandle;
%>
   <input type="checkbox"
          name="selectedControlAssertions" id="<%=id%>"
          value="<%=controlAssertionHandle%>"
          <%= disabled ? "disabled='disabled'" : "" %>
          <%= checked ? "checked='checked'" : "" %>/>
   <label
      for="<%= StringUtil.escapeHTML(id) %>" style="cursor: pointer;">
      <%= StringUtil.escapeHTML(controlAssertion.getName(locale, psession)) %>
   </label>
   <br />
<%
      }
   }
%>