<%@ include file="/tiles/taglibs.jsp" %>

<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.server.logical.AbstractQuestion" %>

<%    
      Locale locale = request.getLocale();
      ResourceBundle bundle = ApplicationProperties.getBundle(locale);
%>

<mon:Page template="wizard">
   <mon:Head>
      <script type="text/javascript">
      function disableWhenReadOnly(element)
      {
         return (element.id != "cancel");
      }
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/QuestionGroupWizard">      
         <mon:ToolBar/>
         
         <mon:Content>
            <mon:maintainWizardState/>
  
              <!-- 
                input class="button" type="button" value="Add Question" onclick="goWizard('addQuestion');" /
              -->
              
            
              <!-- Questions -->
              <h2>
                 <fmt:message key="QuestionGroupWizard.step.questions.txt"/>
              </h2>
              <br/>
              
              <p/>
            
            <%
            
              pageContext.setAttribute("arrayIndex", new Integer(0));
            
            %>
            
              <mon:table width="100%" class="displayTable" cellspacing="0" name="requestScope.questions" id="q">
            
                  <display:column
                     title='<%= bundle.getString("questionGroupMapping.field.orderNo.displayName.txt") %>'>
                     <c:out value="${arrayIndex + 1}"/>
                  </display:column>
            
                  <display:column 
                     title='<%= bundle.getString("questionGroupMapping.field.relativeWeight.displayName.txt") %>' align="center">
                     <mon:hidden property='questionMapping' />
            <%
               int rowNum = q_rowNum.intValue() - 1;
               if (Boolean.TRUE.equals(pageContext.findAttribute("relativeWeight" + rowNum + "_invalid"))) {
            %>
                     <img src='<fmt:message key="application.errorsmall.image"/>' width="16" height="16" />
            <% } else {  %>
                     <img src="<fmt:message key='application.blank.image'/>" width="16" height="16" />
            <% }  %>
                     <mon:text property='relativeWeight' size="5" maxlength="5" 
                        style="padding:2px;text-align:right;font-family:verdana;font-size:10pt;border:1 solid #7F9DB9;"
                        />
                  </display:column>
            
                  <display:column title='<%= bundle.getString("csaQuestion.field.questionShortNm.displayName.txt") %>'><%= StringUtil.escapeHTML(((AbstractQuestion)q).getName()) %></display:column>
                  <display:column title='<%= bundle.getString("csaQuestion.field.questionTxt.displayName.txt") %>'><%= StringUtil.escapeHTML(((AbstractQuestion)q).getQuestionTxt()) %></display:column>
            
            <%
                 pageContext.setAttribute("arrayIndex", 
                       new Integer(((Integer)pageContext.getAttribute("arrayIndex")).intValue() + 1));
            %>
              </mon:table>
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>
  