<%@ page import="java.util.*" %>
<%@ page import="com.ibm.icu.text.*" %>
<%@ page import="com.sas.oprisk.server.ResponseScale" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.QuestionTag" %>

<%@ include file="/tiles/taglibs.jsp" %>

<%
	final Locale locale = request.getLocale();
	final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
	final MonitorContext monitorContext = MonitorContext.getMonitorContext(request);
	final ResponseScale scale = (ResponseScale)request.getAttribute("responseScale");
%>

<mon:Page template="popup">
   <mon:Head>
      
   </mon:Head>
   <mon:Body>      
      <form>               
         
         <mon:Content>
            <h2><fmt:message key="responseScale.displayName.txt"/></h2>

            <table>
               <tr>
                  <th class="fieldlabel"><fmt:message key="businessObjectLocalization.field.nameTxt.displayName.txt"/>:</th>
                  <td>&nbsp;</td>
                  <td class="field"><%= StringUtil.escapeHTML(scale.getName(locale, psession)) %></td>
               </tr>
               <tr>
                  <th class="fieldlabel"><fmt:message key="responseScale.field.responseScaleId.displayName.txt"/>:</th>
                  <td>&nbsp;</td>
                  <td class="field"><%= StringUtil.escapeHTML(scale.getExternalId()) %></td>
               </tr>
               <tr>
                  <th class="fieldlabel"><fmt:message key="responseScale.field.sourceSystemCd.displayName.txt"/>:</th>
                  <td>&nbsp;</td>
                  <td class="field"><%= StringUtil.escapeHTML(monitorContext.getSourceSystemDescription(
                           scale.getSourceSystemCd(), request.getLocale(), psession)) %></td>
               </tr>
            </table>
            
            <br />
            
            <div class="previewBox">
            <% 
            QuestionTag.writeResponseScale(scale, null, pageContext); 
            %>
            </div>
            
            <br />
         </mon:Content>   
         
         <mon:PopupButtonBar>
            <mon:Button name="actionButtonCancel" onclick="window.close()">
               <fmt:message key="application.ok.txt" />
            </mon:Button>
         </mon:PopupButtonBar>
      </form>      
   </mon:Body>
</mon:Page>