<%@page import="com.sas.oprisk.monitor.web.riskInstance.RiskInstanceCPBModel"%>
<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.server.logical.*" %>
<%@ page import="com.sas.oprisk.monitor.web.table.*" %>
<%@ page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@ page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@ page import="com.sas.oprisk.monitor.web.cpb.util.UIContextUtil"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.ratingsSummary.*"%>
<%@ include file="/tiles/taglibs.jsp" %>

<mon:setBundle />

<%
   final java.util.Locale locale = request.getLocale();
   final java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   
  
   UIContext uiContext = UIContextUtil.getUIContext(request);
   final RiskInstance ri = (RiskInstance)uiContext.getValue(MonitorUIContext.DefaultField.BUSINESS_OBJECT.getName());
   
   if (ri != null) {
      request.setAttribute("canAddControl", new Boolean(
         (ControlInstance.object.canSomewhere(Do.CREATE, psession) &&
            ri.can(Do.UPDATE, psession))));
      request.setAttribute("canMapControl", new Boolean(
         (ControlInstance.object.canSomewhere(Do.UPDATE, psession) &&
            ri.can(Do.UPDATE, psession))));
   }
   RatingsSummaryModel rsumModel = (RatingsSummaryModel)request.getAttribute(RatingsSummaryAction.ATTR_MODEL);
    	  	    AssessmentAnswerSheet answerSheet = null;
    	  	    Assessment assessment = null;
    	  	    java.sql.Timestamp ratingsTemplateFrozenDttm = null;
    	  	 
   if (rsumModel == null && ri != null){
       RiskInstanceCPBModel model = new RiskInstanceCPBModel(ri, request, psession);
       if (model != null){
         rsumModel = model.getRatingsSummaryModel();
       }
    }
    	  	 
    if (rsumModel != null) {
       answerSheet = (AssessmentAnswerSheet)rsumModel.getAnswerSheet();
      assessment = rsumModel.getAssessment();
       ratingsTemplateFrozenDttm = assessment.getRatingsTemplateFrozenDttm();
    }
    	  	 
%>

<!-- Mitigating Controls -->
<a name="controlInstancesTable"></a>

<mon:tableComponent entryName="controls" id="control">

   <mon:title><fmt:message key="riskInstance.section.controls.txt"/></mon:title>
    
    <c:if test="${!componentInfo.readOnly}" >
        <c:if test="${canMapControl}">
           <mon:action href='javascript:selectControlInstance()'><fmt:message key='riskInstance.controls.add.txt'/></mon:action>&nbsp;|&nbsp;
        </c:if>
        <c:if test="${canAddControl}">
            <mon:action href='javascript:addControl()'><fmt:message key='controlInstance.create.txt'/></mon:action>&nbsp;|&nbsp;
        </c:if>
        <c:if test="${control != null}">
           <mon:action href='javascript:removeSelectedControlMappings()'><fmt:message key='RiskTypeWizard.step.controls.remove.txt'/></mon:action>
        </c:if>
   </c:if>

   <c:if test="${!componentInfo.readOnly}" >
      <mon:fixedColumn width='20'>
         <input type="checkbox" name="selectedMitigatingControls" value="<c:out value='${control.handle}'/>" />
      </mon:fixedColumn>
   </c:if>

   <c:if test="${rsumModel.riskRatingEnabled && not empty rsumModel.fixedMeasures}" >
<%
   final ControlInstance control = (ControlInstance)pageContext.findAttribute("control");
   final ControlAnswerContainer cac = control == null ? null : answerSheet.getAnswersFor(control, psession);
%>
      <c:forEach items="${rsumModel.fixedMeasures}" var="measure" varStatus="status">
<%
      final ResponseScaleType measure = (ResponseScaleType)pageContext.findAttribute("measure");
      final AssessmentAnswer answer = cac == null ? null : cac.getAnswerForResponseScaleType(measure.getHandle(), psession);
%>
         <mon:fixedColumn title='<%= measure.getName(psession) %>' before='false' cssClass='fcn'>
<%
         if (answer != null) {
            out.println(MeasureScoreCellFormatter.formatScore(
               answer.getScore(), 
               answer.getScoreCurrCd(), 
               answer.getResponseScale(ratingsTemplateFrozenDttm, psession),
               ratingsTemplateFrozenDttm, 
               psession));
         }
%>
         </mon:fixedColumn>
      </c:forEach>
   </c:if>

</mon:tableComponent>

<c:if test="${uiContext.hasInvisibleControlInstances}">
   <span class="infoMessage"><img align="absmiddle" src="<%= request.getContextPath() %>/images/MessageInform_16.gif">
   <fmt:message key="controlInstance.hasInvisibleItems.txt" /></span><br/>
</c:if>   
