<%@ include file="/tiles/taglibs.jsp" %>
<%
   com.sas.oprisk.monitor.web.actions.ErrorPageModel model =
      (com.sas.oprisk.monitor.web.actions.ErrorPageModel)
         request.getAttribute("model");
%>
<mon:Page template="details">

<mon:Title>
   <fmt:message key="errorPage.title.txt" />
</mon:Title>

<mon:Head>
   <mon:include js="/components/errorpage/ErrorPage.js" />
</mon:Head>
   
<mon:Body>

   <mon:ToolBar>

      <mon:Button onclick="ErrorPage.doReturn()">
         <fmt:message key='application.continue.txt'/>
      </mon:Button>
   
   </mon:ToolBar>

   <mon:Content>
<%
if (model.statusCode != null)
   {
%>
      <h2>HTTP <%= model.statusCode %></h2>
<%
   }
%>
      <div style="margin-top: 1em;">
         <fmt:message key="errorPage.useTheDetails.txt" />
      </div>
<%
   if (model.message != null)
   {
%>
      <div style="margin-top: 1em; font-weight: bold;"><fmt:message key="errorPage.message.txt" />:</div>
      <div style="font-family: 'Courier New', Courier, monospace;"><%= model.getMessageHTML() %></div>
<%
   }

   if (model.exception != null && com.sas.oprisk.framework.server.services.FrameworkServiceLocator.isDevelopmentMode())
   {
%>
<pre style="margin-top: 1em;">
<%= model.getStackTrace() %>
</pre>
<%
   }
%>
   </mon:Content>

</mon:Body>
   
</mon:Page>