<%@ page import="java.util.*" %><%@
    page import="com.sas.solutions.cpb.util.*" %><%@ 
    page import="com.sas.solutions.cpb.runtime.*" %><%@ 
    page import="com.sas.solutions.cpb.web.util.*" %><%@ 
    page import="com.sas.solutions.cpb.web.tag.field.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.iap.issue.*" %><%@ 
    page import="com.sas.oprisk.server.iap.IapConstants" %><%@ 
    page import="com.sas.oprisk.framework.server.util.DateTimeUtils" %><%@ 
    page import="com.sas.oprisk.framework.server.util.*" %><%@ 
    page import="com.sas.oprisk.server.*" %>

<%@ page import="com.sas.oprisk.monitor.web.cpb.runtime.component.*" %>

<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />

<%
   final UIContext uiContext = RequestUtil.getUIContext(request);
   final Locale locale = uiContext.getLocale();
   final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);  
   final boolean isInvalid = RequestUtil.isFieldValueInvalid(componentInfo.getField().getName(), pageContext);

   final String label = FieldUtil.getLabel(componentInfo.getField(), uiContext);      
%>

<script type="text/javascript">
    
function linkItem(action, params) {
   popupAnchor = "linkedItems";
   var url = "<%= request.getContextPath() %>/" + action + ".do"
      + "?iHandle=<c:out value="${uiContext.handle}" />"
      + "&subjectType=Issue";
   if (params) {
      url += "&" + params;
   }
   openModal(url, "subs_popup", "width=750,height=500,scrollbars,resizable");
}

function unlinkItem(imHandle) {
   var path = "/LinkToIssue.do?method=delete&fromIssue=true&imHandle=" + imHandle;
   forward(path, "refreshLinkedItems");
}

function showLinkMenu() {
   
   var menu = new TableMenu();

   <c:forEach var='item' items='${model.linkMenuItems}'>
   menu.addMenuItem(new MenuItem(MenuItem.prototype.action,
      "<%= request.getContextPath() %>/images/Add.gif", 
      "<c:out value="${item.label}" />...", 
      "javascript:linkItem('<c:out value="${item.action}" />'<c:if
         test="${not empty item.params}">, '<c:out value="${item.params}" />'</c:if>)"));
   </c:forEach>

   menu.render();
   o3_removecounter = 1;   // hack to make popup dismiss correctly
}

function createScenario() {
    document.forms.newIssueForm.action = "<%= request.getContextPath() %>/Issue.do"
       + "?method=forward"
       + "&rm=finishLinkToScenario" // the return method (links newly created scenario to issue)
       + "&path=" + escape("/ScenarioWizard.do?method=create&handle=&iHandle=" + document.forms.newIssueForm.handle.value);
    document.forms.newIssueForm.submit();
   
     
  }

</script>

<a name="linkedItems"></a>

<mon:table class="displayTable" cellspacing="0" name="uiContext.linkedItems" id="linkedItem" width="100%">
   <mon:title><%
      HTMLUtil.writeSectionIndicators(
         componentInfo.getField().getName(),
         componentInfo.isRequired(),
         isInvalid,
         locale,
         out);    
   %><%= label %></mon:title>
   <c:if test="${model.canCreateScenarios && !componentInfo.readOnly && !uiContext.neverBeenSaved}">
      <mon:action href="javascript:createScenario()">
         <fmt:message key='Scenarios.button.new.txt'/></mon:action>
   </c:if>  
   <c:if test="${not empty model.linkMenuItems && !componentInfo.readOnly}">
      <mon:action href="javascript:showLinkMenu()" 
         image="images/DropDownMenuArrow.gif" imageLeft="false">
         <fmt:message key='linkLossToEventButton.txt'/></mon:action>
   </c:if>
      <display:column property='type' width="15%"
         title='<%= bundle.getString("iap.issue.issueView.linkedItems.type.txt") %>'/>
      <display:column width="15%"
         title='<%= bundle.getString("iap.issue.issueView.linkedItems.referenceNumber.txt") %>'><c:out value="${linkedItem.referenceNumber}" /></display:column>
      <display:column width="60%" title='<%= bundle.getString("iap.issue.issueView.linkedItems.title.txt") %>'>
         <c:if test="${not empty linkedItem.url}">
            <a href="javascript:forward('<c:out value="${linkedItem.url}" />')">
         </c:if><c:out value="${linkedItem.title}" /><c:if test="${not empty linkedItem.url}"></a></c:if>         
      </display:column>
      <c:if test="${!componentInfo.readOnly}">   
         <display:column width='1%' headerClass="nwc" align='center' title='<%= bundle.getString("application.remove.txt") %>'>
         
         <c:if test="${linkedItem.creatorFlg != 'true'}">
            <a href="javascript:unlinkItem('<c:out value="${linkedItem.mappingHandle}" />')">
               <img border="0" src="<fmt:message key='application.remove.image' />"  
                  alt="<fmt:message key='application.remove.tooltip.txt'/>" 
                  title="<fmt:message key='application.remove.tooltip.txt'/>"/></a>
         </c:if>
         </display:column>
      </c:if>
   </mon:table>
<c:if test="${uiContext.hasInvisibleLinkedItems}">   
   <span class="infoMessage"><img align="absmiddle" src="<%= request.getContextPath() %>/images/MessageInform_16.gif">
   <fmt:message key="iap.issue.hasInvisibleItems.txt" /></span><br/>
</c:if>      
<c:if test="${uiContext.neverBeenSaved && model.canCreateScenarios}">   
   <span class="infoMessage"><img align="absmiddle" src="<%= request.getContextPath() %>/images/MessageInform_16.gif">
   <fmt:message key="iap.issue.toCreateScenarios.txt" /></span>
</c:if>


