<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="com.sas.oprisk.server.iap.IapConstants" %>
<%@ page import="com.sas.oprisk.server.ApplicationProperties" %>
<%@ page import="com.sas.oprisk.monitor.web.iap.issue.*" %>
<%@ page import="com.sas.solutions.cpb.web.tag.field.*" %> 
<%@ page import="java.util.*" %>
<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />

<%
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);  
   ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   
   // get the handle string from the request 
   String handle = IssueAction.getHandleString(request);
%>

<script type="text/javascript">

// view a selected related issue
function viewRelatedIssue(relatedIsssueHandle) {
   var path = "/Issue.do?method=select";
   forward(path, "refresh", "&handleAttr=" + relatedIsssueHandle);
}

// pop up a related issue selector window
function addRelatedIssue() {
   openModal("<%= request.getContextPath() %>/AddRelatedIssue.do"
      + "?iHandle=<%= StringUtil.encodeURLValue(handle) %>"  
      + "&subjectType=Issue",
      "issues_popup");
}


// remove a related issue
function removeRelatedIssue(relIssueHandle, relIssueName) {
   var msg = unescape("<%= ParsingUtils.escape(bundle.getString(
         "iap.issue.removeRelatedIssueConfirm.fmt.txt")) %>");
   msg = formatMessage(msg, unescape(relIssueName));
   if (confirm(msg)) {
      var params = getParamsForTable(document.forms[0], "issues");
      params.handle = "<%= StringUtil.escapeJSForHTML(handle) %>"; // needed to retrieve the issue
      
      IAPService.removeRelatedIssue(
         "<c:out value='${componentInfo.field.name}' />", relIssueHandle, params,
         function(pageMod) {
            PageModification.handle("relatedIssues", pageMod);
         }
      );
   }
}

// refresh related issues table
function refreshRelatedIssues() {
   var params = getParamsForTable(document.forms[0], "issues");
   params.handle = "<%= StringUtil.escapeJSForHTML(handle) %>"; // needed to retrieve the issue
   
   // Executes the remote java method and then executes the specified
   // javascript with the returned result.
   IAPService.refreshRelatedIssues(
      "<c:out value='${componentInfo.field.name}' />", params,
      function(pageMod) {
         closeModal("issues_popup");
         PageModification.handle("relatedIssues", pageMod);
      }
   );
}

</script>

<div id="relatedIssues">
<jsp:include page = "RelatedIssueTableContent.jsp" />
</div>  

<script type="text/javascript">
   // override the submit function to use ajax
   getTableComponent("issues_").submit = refreshRelatedIssues;      
</script>