<%@ page import="com.sas.solutions.cpb.runtime.*" %><%@ 
    page import="com.sas.solutions.cpb.web.util.*" %><%@ 
    page import="com.sas.solutions.cpb.util.*" %><%@ 
    page import="com.sas.oprisk.framework.server.util.ParsingUtils" %><%@ 
    page import="com.sas.oprisk.server.iap.IapConstants" %><%@ 
    page import="com.sas.oprisk.server.ApplicationProperties" %><%@ 
    page import="com.sas.oprisk.server.logical.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.iap.issue.*" %><%@ 
    page import="com.sas.solutions.cpb.web.tag.field.*" %><%@ 
    page import="java.util.*" %>
<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />

<%
   final UIContext uiContext = RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);  
   final ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   
   Object areaHandle = uiContext.getValue("location");
   String areaHandleStr = ""; 
   if (areaHandle instanceof DimensionalAreaHandle) {
      areaHandleStr = areaHandle.toString();
   }
   
   // get the handle string from the request 
   String handle = IssueAction.getHandleString(request);
%>

<script type="text/javascript">

// pop up a user selector window
function addUserToNotify() {
   var f = document.forms.<c:out value="${componentInfo.formName}" />;
   var area = f.LOCATION ? f.LOCATION.value : '<%= areaHandleStr %>';
   
   openModal("<%= request.getContextPath() %>/UserQueryForIssue.do"
      + "?iHandle=<%= StringUtil.encodeURLValue(handle) %>&area=" + area,
      "subs_popup");
}

// remove a user
function removeUserToNotify(userHandle, userId) {
   var msg = unescape("<%= ParsingUtils.escape(bundle.getString(
         "iap.issue.removeUserConfirm.fmt.txt")) %>");
   msg = formatMessage(msg, userId);
   if (confirm(msg)) {
      var params = getParamsForTable(document.forms[0], "usersToNotify");
      params.handle = "<%= StringUtil.escapeJSForHTML(handle) %>"; // needed to retrieve the issue
      
      IAPService.removeUserToNotify(
         "<c:out value='${componentInfo.field.name}' />", userHandle, params,
         function(pageMod) {
            PageModification.handle("usersToNotify", pageMod);
         }
      );
   }
}

// refresh users to notify table
function refreshUsersToNotify() {
   var params = getParamsForTable(document.forms[0], "usersToNotify");
   params.handle = "<%= StringUtil.escapeJSForHTML(handle) %>"; // needed to retrieve the issue
   
   // Executes the remote java method and then executes the specified
   // javascript with the returned result.
   IAPService.refreshUsersToNotify(
      "<c:out value='${componentInfo.field.name}' />", params,
      function(pageMod) {
         closeModal("subs_popup");
         PageModification.handle("usersToNotify", pageMod);
      }
   );
}

</script>

<div id="usersToNotify">
<jsp:include page = "UsersToNotifyTableContent.jsp" />
</div>  

<script type="text/javascript">
   // override the submit function to use ajax
   getTableComponent("usersToNotify_").submit = refreshUsersToNotify;      
</script>