<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.server.logical.*" %>
<%@ page import="com.sas.oprisk.monitor.web.table.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="com.sas.oprisk.monitor.web.incident.cellFormatter.WorkFlowStatusCellFormatter" %>

<%@ include file="/tiles/taglibs.jsp" %>

<mon:setBundle />

<%
   final java.util.Locale locale = request.getLocale();
   final java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   String handle = (String)request.getAttribute("effectHandle");
   final boolean readOnly = Boolean.TRUE.equals(request.getAttribute("readOnly"));
   String exportUrl = request.getContextPath() + "/FinancialEffectCauseQuery.do?handle=" + handle + "&entryId=causes";   
   MonitorContext mc = MonitorContext.getMonitorContext(request);
   java.util.Map formatters = new java.util.HashMap();
   formatters.put("validationStateCd", new WorkFlowStatusCellFormatter(mc));
   
%>    

<script type="text/javascript">

function addCause() {  
   var path = "/IncidentCause.do?method=createCauseForFinancialEffect";
   forward(path,null);
}

function removeCause(handle) { 
   var path = "/IncidentCause.do?method=deleteCauseForFinancialEffect&causeHandle=" + handle;
   forward(path,null);
}

function viewCause(handle) { 
   var path = "/IncidentCauseEdit.do?method=editCauseForFinancialEffect&causeHandle=" + handle;
   forward(path,null);
}

/*
function submitToAction(action) {
  var f = document.forms[0]; 
  f.action = action;
  f.submit();
}

function go(action,extraParams) {
  var url = "<%= request.getContextPath() %>/FinancialEffect.do?method=" + action;
  if (extraParams != null) url = url + "&" + extraParams;
  submitToAction( url );
}

function forward(path, anchor) {
  path = escape(path);
  if (anchor && (anchor != "")) {
    path += "#" + anchor;
  }
  go('forward', 'path=' + path );
}
*/


</script>

 <mon:tableComponent id="cause" entryName="causes" exportXlsUrl="<%= exportUrl %>" wizCursor="refresh" columnFormatters="<%= formatters %>" >
      <mon:title><fmt:message key="opRiskEventForm.section.causes.txt"/></mon:title>
      <c:if test="${ not readOnly}">
        <mon:action href="javascript:addCause();"><fmt:message key='opRiskEventForm.section.causes.add.txt' /></mon:action>
      </c:if>
      <c:if test="${ not readOnly }">
	      <mon:fixedColumn width="1%" before="false" title='<%= bundle.getString("application.delete.txt") %>' >
	            <a href="javascript:removeCause('<c:out value='${cause.handle}'/>')">
	                    <img border="0" src="<fmt:message key='application.delete.image' />"  
		           alt="<fmt:message key='application.delete.tooltip.txt'/>" 
		           title="<fmt:message key='application.delete.tooltip.txt'/>"/>
	      </mon:fixedColumn>
      </c:if>
   </mon:tableComponent>
    <c:if test="${hasInvisibleEffectCauses}">
      <mon:InfoMessage><fmt:message key="incident.hasInvisibleItems.txt" /></mon:InfoMessage>
   </c:if>
      