<%@ include file="/tiles/taglibs.jsp"%>

<%@ page import="java.io.*"%>
<%@ page import="java.util.*"%>
<%@ page import="java.util.regex.Pattern"%>
<%@ page import="java.util.regex.Matcher"%>
<%@ page import="com.sas.oprisk.server.DimensionalPoint"%>
<%@ page import="com.sas.services.storedprocess.StoredProcess2Interface"%>
<%@ page
   import="com.sas.services.storedprocess.metadata.StoredProcessInterface"%>

<%@page
   import="com.sas.servlet.util.Components,com.sas.servlet.util.ComponentPropertyManager,com.sas.servlet.util.ComponentSessionManager"%>
<%@page
   import="com.sas.prompts.components.webapp.visuals.PromptPropertiesPanel"%>
<%@page import="com.sas.prompts.DataProviderInterface"%>
<%@page import="com.sas.prompts.valueprovider.dynamic.DataProvider"%>
<%@page
   import="com.sas.prompts.components.webapp.visuals.model.DefaultPromptPropertiesPanelModel"%>
<%@page
   import="com.sas.prompts.components.webapp.visuals.model.PromptPropertiesPanelModelInterface"%>

<%@page import="com.sas.actionprovider.HttpActionProvider"%>
<%@page import="com.sas.prompts.PromptValuesInterface"%>
<%@page import="com.sas.services.util.Names"%>
<%@page import="com.sas.oprisk.framework.server.util.ParsingUtils"%>

<%
   Locale locale = request.getLocale();
			final MonitorSession ms = MonitorSession.getMonitorSession(request);
			final StoredProcess2Interface sp2i = ms.getCachedReportControls(
					"rc").getSP2I();
			final StoredProcessInterface spi = ms.getCachedReportControls("rc")
					.getSPI();
			final String view = ms.getCachedReportControls("rc").getView();
			final DataProviderInterface dataProvider = ms
					.getCachedReportControls("rc").getDp();

			PromptValuesInterface promptValues = sp2i.getPromptValues();
			PromptPropertiesPanelModelInterface model = new DefaultPromptPropertiesPanelModel(
					promptValues, dataProvider, request.getLocale());
			try {
				((DefaultPromptPropertiesPanelModel) model).initialize();
			} catch (Exception e) {
				e.printStackTrace();
			}
			HttpActionProvider ap = (HttpActionProvider) session
					.getAttribute("sas_actionProvider");
			if (ap == null) {
				ap = new HttpActionProvider();
				ap.setName("sas_actionProvider");
				session.setAttribute("sas_actionProvider", ap);
			}
			ap.setLocale(request.getLocale());

			String panelId = "panel_"+Math.abs(spi.getName().hashCode()); 
			PromptPropertiesPanel propertyPanel = (PromptPropertiesPanel) ComponentSessionManager
					.getSessionManager(request).get(panelId);
			if (propertyPanel == null || !propertyPanel.getLocale().equals(request.getLocale())) {
				propertyPanel = new PromptPropertiesPanel(model);
				propertyPanel.setId(panelId);
				propertyPanel.setActionProvider(ap);
			}
			propertyPanel.setRequest(request);
			propertyPanel.setResponse(response);
%>

<mon:Page template="details">
   <mon:Head>
      <script type="text/javascript">

         function onGo() {
             document.location = "<%=request.getContextPath()%>/ReportViewer.do"
               + "?method=" + encodeURIComponent(unescape("<%= ParsingUtils.escape(spi.getName()) %>"))
               + "&view=" + "<%=view%>";
         }
         
         function onCancel() {
             document.location = "<%=request.getContextPath()%>/ReportViewer.do"
               + "?method=cancelStpPrompt";
         }
         
         function validatePrompt() {
                 var obj = window["<%=propertyPanel.getId()%>_Obj"];
                 obj.getRequiredPromptsWithoutValues(_validationHandler);
         }
         
         function _validationHandler(items) {
                 if (items.length > 0) {
                     alert("<fmt:message key="application.requiredFields.fmt.txt"><fmt:param><c:out value="*" /></fmt:param></fmt:message>");
                 }
                 else {
                     onGo();
                 }
         }

</script>

   </mon:Head>
   <mon:Body>
      <mon:ToolBar>
         <mon:Button name="goButton" onclick="validatePrompt();">
            <fmt:message key='goButton.txt' />
         </mon:Button>
         <mon:Button name="cancelButton" onclick="onCancel();">
            <fmt:message key='cancelButton.txt' />
         </mon:Button>
      </mon:ToolBar>

      <mon:Content>
         <%
            propertyPanel.write(out);
         %>
      </mon:Content>
   </mon:Body>
</mon:Page>
