<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />
<%
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   java.util.Locale locale = request.getLocale();
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);   
%>

      <mon:table cellspacing="0" class="displayTable" name="roleList" id="roleListItem">
      <mon:title>
        <fmt:message key="roleList.readOnly.subtitle.txt"/>
      </mon:title>
      
<%    
      Role role = ((Role)roleListItem);
%>

        <mon:action id="synchronizeRolesLink"
          href="javascript: RoleManagement.synchronizeRoles()">
          <fmt:message key='synchronizeRoles.txt'/>
        </mon:action>
      
        <display:column title='<%= bundle.getString("displayTable.actions.txt") %>' headerClass="nwc" align="center" width="1%" nowrap="true">
<%
         if (role != null) {
%>
              <a href="RoleEdit.do?handle=<%=role.getHandleString()%>">
                <img border="0" src="<fmt:message key='application.viewdata.image'/>"
                 alt="<fmt:message key='application.viewdata.tooltip.txt'/>" 
                 title="<fmt:message key='application.viewdata.tooltip.txt'/>"/></a>
<%             
         }
%>
         </display:column>
       <display:column title='<%= bundle.getString("role.field.roleNm.displayName.txt") %>'><c:out value="${roleListItem.roleNm}"/></display:column>
       
<%
         if (Position.object.canSomewhere(Do.READ, psession)) {
%>
       <display:column title='<%= bundle.getString("role.field.positions.displayName.txt") %>' align="center" width="2%" headerClass="nwc">
          <a href="javascript:viewPositions('<%=role.getHandleString()%>')">
           <img border="0" src="<fmt:message key='application.contactGroup.image'/>"
            alt="<fmt:message key='role.field.positions.displayName.txt'/>" 
            title="<fmt:message key='role.field.positions.displayName.txt'/>"/></a>
       </display:column>
<%
         }
%>

      </mon:table>

