<%-- MENU: Scenarios > Scenario Templates > Scenario Templates[any bucketed] > Layout > Define Buckets... --%>
<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.smarttags.SmartLabelTag" %>
<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.ScenarioTemplateWizardModel" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.RCSAGeneralModel" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.RCSAGeneralModel.AssessedItemContext" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.ClusterTree" %>
<%@ page import="com.sas.oprisk.server.logical.CsaQuestion" %>
<%@ page import="java.text.MessageFormat" %>

<%    
     final Locale locale = request.getLocale();
     final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
     final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
     String decimalAlignStyle = "text-align:right"; // same for both LTR and RTL
%>

<mon:Page template="popup">
   <mon:Head>
      <script type="text/javascript">
 
       function lockButtons() {
            lock(document.getElementById("cancelButton"));
            lock(document.getElementById("submitButton"));
         }
      </script>
            
   </mon:Head>
   <mon:Body>      
      <html:form action="/ScenarioBucketsSelector">      
         
         <mon:Content>
            <input type="hidden" name="handle" value="<%= StringUtil.escapeHTML(request.getParameter("handle")) %>" />
            <input type="hidden" name="method" value="save" />
            
            <table class="borderedTable" cellspacing="0" cellpadding="3" border="0">
            <%   
                pageContext.setAttribute("arrayIndex", new Integer(0));
                
                // Buckets
                for (int b = 0; b < 6; b++) {
                 final String rowStyle = ((b % 2) == 0) ? "even" : "odd";
            %>   <tr class='<%= rowStyle %>'>
                   
                   <%  final String bucketTitle =
                           MessageFormat.format(bundle.getString("ScenarioTemplateWizard.bucket.severity.label.fmt.txt"),
                             new Object[] {
                                new Integer(b+1)});
                        out.print("<td style=\"white-space: nowrap;\">" + bucketTitle + "</td>");
            %>
                   <td align="center"><mon:text property='buckets' size="10"
                        style="padding:2px;<%=decimalAlignStyle%>;font-family:verdana;font-size:10pt;border:1 solid #7F9DB9;"/>
                   </td>
                   <td> - </td>
                  <%  
                   pageContext.setAttribute("arrayIndex",  new Integer(((Integer)pageContext.getAttribute("arrayIndex")).intValue() + 1));
            
            %>
                   <td align="center"><mon:text property='buckets' size="10"
                        style="padding:2px;<%=decimalAlignStyle%>;font-family:verdana;font-size:10pt;border:1 solid #7F9DB9;"/>
                   </td>
                </tr>
                
            <% pageContext.setAttribute("arrayIndex", new Integer(((Integer)pageContext.getAttribute("arrayIndex")).intValue() + 1));
             }
            %>
            </table>            
         </mon:Content>
         <mon:PopupButtonBar>
            <mon:Button name="submitButton" id="submitButton" onclick="lockButtons();document.forms.scenarioBucketsSelectorForm.submit();">
               <fmt:message key='application.button.add.txt' />
            </mon:Button>
            <mon:Button name="cancelButton" id="cancelButton" onclick="lockButtons();window.close();">
               <fmt:message key='cancelButton.txt' />
            </mon:Button>
         </mon:PopupButtonBar>   
      </html:form>      
   </mon:Body>
</mon:Page>
