<%-- MENU: Scenarios > Scenario Templates > Scenario Templates[any] > Layout  --%>
<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.smarttags.SmartLabelTag" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.ScenarioTemplateWizardModel" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.RCSAGeneralModel" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.RCSAGeneralModel.AssessedItemContext" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.ClusterTree" %>
<%@ page import="com.sas.oprisk.server.logical.CsaQuestion" %>
<%@ page import="com.sas.oprisk.server.DimensionalPoint" %>
<%    
     final Locale locale = request.getLocale();
     final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
     final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
     final ScenarioTemplateWizardModel model = 
        (ScenarioTemplateWizardModel) request.getAttribute("model");
     
     final ClusterTree testCluster = 
        (ClusterTree) request.getAttribute("testCluster");
     LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
%>

<mon:Page template="wizard">
   <mon:Head>
      <script type="text/javascript">
      function defineBuckets(handle) {
         openModal(
            "<%= request.getContextPath()+'/' %>" 
            + "ScenarioBucketsSelector.do?handle="+handle, "buckets_popup", "width=640,height=500,scrollbars,resizable");
      }
      
      function popupCloser_refresh() {
         document.forms.scenarioTemplateWizardForm.action =
            "<%= request.getContextPath() %>/ScenarioTemplateWizard.do?method=layout";
         document.forms.scenarioTemplateWizardForm.submit();
      }
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/ScenarioTemplateWizard">      
         <mon:ToolBar/>
         
         <mon:Content>
            
              <mon:maintainWizardState/>
           
            <mon:DimAreaChooser 
               property="dimensionalArea"
               feature="ScenarioTemplate"
               readOnly="true" />
               
            <p/>
            <p/>
            
            <!-- Preview -->
         
            <table class="borderedTable" cellspacing="0" cellpadding="3" border="0">
            
            <c:if test="${isBucketed && canUpdateBuckets}">
            <tr><td align=<%=layoutDirection.getRight()%>>
               <a href="javascript:defineBuckets('<c:out value='${form.handle}'/>')"><%= bundle.getString("ScenarioTemplateWizard.layout.defineBuckets.txt") %>
               </a>
            </td></tr>
            </c:if>
         <%
             for (final Iterator cti = testCluster.iterator(); cti.hasNext(); ) {
             
            // current node type
            final ClusterTree node = (ClusterTree) cti.next();
               
            if (node != null) {
         
            // level tracking
               final Integer nestedLevel = new Integer(node.nestedLevel);
               int level = nestedLevel.intValue();
               if (level == 1) 
                  { %><tr style="font-weight:bold;color:#996600;background-color:#F1EACB;"><% }
                  
               else if (level == 2) 
                  { %><tr style="background-color: #f4f4f2;"><% }
                  
               else if (level == 3) 
                  {%><tr style="background-color:#f4f4f2;font-weight:bold;"><% }
                  
                     else if (level > 3) 
                              {%><tr class="dataRow1_tableRow" style="background-color:white;"><% }
                  
               if (level > 0) {
         
                              final Object obj = node.getObject();
                              if (obj instanceof AssessmentQuestionGroup) {
                                 AssessmentQuestionGroup group = (AssessmentQuestionGroup)obj; 
         %>                     <td style="padding-<%=layoutDirection.getLeft()%>:<%= (level * 20) %>px;" valign="top">
                                <mon:questionGroup questionGroup="<%= group %>" showResponses="false" showIds="false" />
         <%                  
                             } else if (!(obj instanceof RCSAGeneralModel.AssessedItemContext)) {
         %>
                               <td style="padding-<%=layoutDirection.getLeft()%>:<%= (level * 20) %>px" valign="top">
         <%                    out.print(StringUtil.escapeHTML(node) + "<br/>");
                        }
         %>
                      </td>
                   </tr>
         <%
                   }
               }
             }
         %>  </table>
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>
